// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\shdocvw.dll
// check for latest version at http://www.composiasoft.com

package SHDocVw;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IShellWindows extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{85CB6900-4D95-11CF-960C-0080C7F4EE85}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IShellWindows.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IShellWindows Object
     */
    public IShellWindows() throws COMException {
        super();
    }
    /**
     * Creates IShellWindows Object with progID
     */
    public IShellWindows(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IShellWindows Object
     */
    public IShellWindows(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IShellWindows Object with CLSID
     */
    public IShellWindows(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * Get count of open Shell windows
     */
    public int getCount() throws COMException {
        return ((java.lang.Integer) get("Count")).intValue();
    }
    /**
     * Return the shell window for the given index
     */
    public DispatchPtr Item() throws COMException {
        return (DispatchPtr) invoke("Item");
    }
    public DispatchPtr Item(java.lang.Object index) throws COMException {
        return (DispatchPtr) invokeN("Item", new Object[]{index}, 1);
    }
    /**
     * Enumerates the figures
     */
    public IUnknown _NewEnum() throws COMException {
        return (IUnknown) invoke("_NewEnum");
    }
    /**
     * Register a window with the list
     */
    public void Register(DispatchPtr pid, int HWND, int swClass, IntegerRef plCookie) throws COMException {
        invokeN("Register", new Object[]{pid, new java.lang.Integer(HWND), new java.lang.Integer(swClass), plCookie}, 4);
    }
    /**
     * Register a pending open with the list
     */
    public void RegisterPending(int lThreadId, ObjectRef pvarloc, ObjectRef pvarlocRoot, int swClass, IntegerRef plCookie) throws COMException {
        invokeN("RegisterPending", new Object[]{new java.lang.Integer(lThreadId), pvarloc, pvarlocRoot, new java.lang.Integer(swClass), plCookie}, 5);
    }
    /**
     * Remove a window from the list
     */
    public void Revoke(int lCookie) throws COMException {
        invokeN("Revoke", new Object[]{new java.lang.Integer(lCookie)}, 1);
    }
    /**
     * Notifies the new location
     */
    public void OnNavigate(int lCookie, ObjectRef pvarloc) throws COMException {
        invokeN("OnNavigate", new Object[]{new java.lang.Integer(lCookie), pvarloc}, 2);
    }
    /**
     * Notifies the activation
     */
    public void OnActivated(int lCookie, boolean fActive) throws COMException {
        invokeN("OnActivated", new Object[]{new java.lang.Integer(lCookie), new java.lang.Boolean(fActive)}, 2);
    }
    /**
     * Find the window based on the location
     */
    public DispatchPtr FindWindowSW(ObjectRef pvarloc, ObjectRef pvarlocRoot, int swClass, IntegerRef pHWND, int swfwOptions) throws COMException {
        return (DispatchPtr) invokeN("FindWindowSW", new Object[]{pvarloc, pvarlocRoot, new java.lang.Integer(swClass), pHWND, new java.lang.Integer(swfwOptions)}, 5);
    }
    /**
     * Notifies on creation and frame name set
     */
    public void OnCreated(int lCookie, IUnknown punk) throws COMException {
        invokeN("OnCreated", new Object[]{new java.lang.Integer(lCookie), punk}, 2);
    }
    /**
     * Used by IExplore to register different processes
     */
    public void ProcessAttachDetach(boolean fAttach) throws COMException {
        invokeN("ProcessAttachDetach", new Object[]{new java.lang.Boolean(fAttach)}, 1);
    }
}
