// created by OLEWrapgen
// from TypeLib at C:\WINDOWS\system32\danim.dll
// check for latest version at http://www.composiasoft.com

package DirectAnimation;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class IDA3Geometry extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{EB5093C7-56F9-11D2-88CE-00C04FA35859}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, IDA3Geometry.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty IDA3Geometry Object
     */
    public IDA3Geometry() throws COMException {
        super();
    }
    /**
     * Creates IDA3Geometry Object with progID
     */
    public IDA3Geometry(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of IDA3Geometry Object
     */
    public IDA3Geometry(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates IDA3Geometry Object with CLSID
     */
    public IDA3Geometry(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public java.lang.String GetClassName() throws COMException {
        return (java.lang.String) invoke("GetClassName");
    }
    /**
     * 
     */
    public void Init(IDABehavior toBvr) throws COMException {
        invokeN("Init", new Object[]{toBvr}, 1);
    }
    /**
     * 
     */
    public IDABehavior Importance(double relativeImportance) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Importance", new Object[]{new java.lang.Double(relativeImportance)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RunOnce() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RunOnce"));
    }
    /**
     * 
     */
    public IDABehavior SubstituteTime(IDANumber xform) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("SubstituteTime", new Object[]{xform}, 1));
    }
    /**
     * 
     */
    public void SwitchTo(IDABehavior SwitchTo) throws COMException {
        invokeN("SwitchTo", new Object[]{SwitchTo}, 1);
    }
    /**
     * 
     */
    public void SwitchToNumber(double numToSwitchTo) throws COMException {
        invokeN("SwitchToNumber", new Object[]{new java.lang.Double(numToSwitchTo)}, 1);
    }
    /**
     * 
     */
    public void SwitchToString(java.lang.String strToSwitchTo) throws COMException {
        invokeN("SwitchToString", new Object[]{strToSwitchTo}, 1);
    }
    /**
     * 
     */
    public IDABehavior Hook(IDABvrHook notifier) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Hook", new Object[]{notifier}, 1));
    }
    /**
     * 
     */
    public IDABehavior Duration(double Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Duration", new Object[]{new java.lang.Double(Duration)}, 1));
    }
    /**
     * 
     */
    public IDABehavior DurationAnim(IDANumber Duration) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("DurationAnim", new Object[]{Duration}, 1));
    }
    /**
     * 
     */
    public IDABehavior Repeat(int count) throws COMException {
        return new IDABehavior((DispatchPtr) invokeN("Repeat", new Object[]{new java.lang.Integer(count)}, 1));
    }
    /**
     * 
     */
    public IDABehavior RepeatForever() throws COMException {
        return new IDABehavior((DispatchPtr) invoke("RepeatForever"));
    }
    /**
     * 
     */
    public boolean IsReady(boolean bBlock) throws COMException {
        return ((java.lang.Boolean) invokeN("IsReady", new Object[]{new java.lang.Boolean(bBlock)}, 1)).booleanValue();
    }
    /**
     * 
     */
    public IDASound RenderSound(IDAMicrophone mic_0) throws COMException {
        return new IDASound((DispatchPtr) invokeN("RenderSound", new Object[]{mic_0}, 1));
    }
    /**
     * 
     */
    public IDAPickableResult Pickable() throws COMException {
        return new IDAPickableResult((DispatchPtr) invoke("Pickable"));
    }
    /**
     * 
     */
    public IDAPickableResult PickableOccluded() throws COMException {
        return new IDAPickableResult((DispatchPtr) invoke("PickableOccluded"));
    }
    /**
     * 
     */
    public IDAGeometry Undetectable() throws COMException {
        return new IDAGeometry((DispatchPtr) invoke("Undetectable"));
    }
    /**
     * 
     */
    public IDAGeometry EmissiveColor(IDAColor col_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("EmissiveColor", new Object[]{col_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry DiffuseColor(IDAColor col_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("DiffuseColor", new Object[]{col_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry SpecularColor(IDAColor col_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("SpecularColor", new Object[]{col_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry SpecularExponent(double power_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("SpecularExponent", new Object[]{new java.lang.Double(power_0)}, 1));
    }
    /**
     * 
     */
    public IDAGeometry SpecularExponentAnim(IDANumber power_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("SpecularExponentAnim", new Object[]{power_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry Texture(IDAImage texture_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("Texture", new Object[]{texture_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry Opacity(double level_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("Opacity", new Object[]{new java.lang.Double(level_0)}, 1));
    }
    /**
     * 
     */
    public IDAGeometry OpacityAnim(IDANumber level_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("OpacityAnim", new Object[]{level_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry Transform(IDATransform3 xf_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("Transform", new Object[]{xf_0}, 1));
    }
    /**
     * 
     */
    public IDABbox3 getBoundingBox() throws COMException {
        return new IDABbox3((DispatchPtr) get("BoundingBox"));
    }
    /**
     * 
     */
    public IDAImage Render(IDACamera cam_0) throws COMException {
        return new IDAImage((DispatchPtr) invokeN("Render", new Object[]{cam_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry LightColor(IDAColor color_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("LightColor", new Object[]{color_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry LightAttenuationAnim(IDANumber constant_0, IDANumber linear_1, IDANumber quadratic_2) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("LightAttenuationAnim", new Object[]{constant_0, linear_1, quadratic_2}, 3));
    }
    /**
     * 
     */
    public IDAGeometry LightAttenuation(double constant_0, double linear_1, double quadratic_2) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("LightAttenuation", new Object[]{new java.lang.Double(constant_0), new java.lang.Double(linear_1), new java.lang.Double(quadratic_2)}, 3));
    }
    /**
     * 
     */
    public IDAGeometry AddPickData(IUnknown id_0, boolean ignoresOcclusion_1) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("AddPickData", new Object[]{id_0, new java.lang.Boolean(ignoresOcclusion_1)}, 2));
    }
    /**
     * 
     */
    public IDAGeometry Shadow(IDAGeometry geoContainingLights_0, IDAPoint3 planePoint_1, IDAVector3 planeNormal_2) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("Shadow", new Object[]{geoContainingLights_0, planePoint_1, planeNormal_2}, 3));
    }
    /**
     * 
     */
    public IDAGeometry LightRangeAnim(IDANumber range_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("LightRangeAnim", new Object[]{range_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry LightRange(double range_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("LightRange", new Object[]{new java.lang.Double(range_0)}, 1));
    }
    /**
     * 
     */
    public IDAGeometry BlendTextureDiffuse(IDABoolean blended_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("BlendTextureDiffuse", new Object[]{blended_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry AmbientColor(IDAColor color_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("AmbientColor", new Object[]{color_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry D3DRMTexture(IUnknown rmTex_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("D3DRMTexture", new Object[]{rmTex_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry ModelClip(IDAPoint3 planePt_0, IDAVector3 planeVec_1) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("ModelClip", new Object[]{planePt_0, planeVec_1}, 2));
    }
    /**
     * 
     */
    public IDAGeometry Lighting(IDABoolean lighting_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("Lighting", new Object[]{lighting_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry TextureImage(IDAImage texture_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("TextureImage", new Object[]{texture_0}, 1));
    }
    /**
     * 
     */
    public IDAGeometry Billboard(IDAVector3 axis_0) throws COMException {
        return new IDAGeometry((DispatchPtr) invokeN("Billboard", new Object[]{axis_0}, 1));
    }
}
