// created by OLEWrapgen
// from TypeLib at C:\Program Files\Microsoft Office\Office10\XL5EN32.OLB
// check for latest version at http://www.composiasoft.com

package Excel;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;


public class Window extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{00020893-0000-0000-C000-000000000046}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, Window.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty Window Object
     */
    public Window() throws COMException {
        super();
    }
    /**
     * Creates Window Object with progID
     */
    public Window(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of Window Object
     */
    public Window(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates Window Object with CLSID
     */
    public Window(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public _Application getApplication() throws COMException {
        return new _Application((DispatchPtr) get("Application"));
    }
    /**
     * 
     */
    public int getCreator() throws COMException {
        return ((java.lang.Integer) get("Creator")).intValue();
    }
    /**
     * 
     */
    public DispatchPtr getParent() throws COMException {
        return (DispatchPtr) get("Parent");
    }
    /**
     * 
     */
    public java.lang.Object Activate() throws COMException {
        return (java.lang.Object) invoke("Activate");
    }
    /**
     * 
     */
    public java.lang.Object ActivateNext() throws COMException {
        return (java.lang.Object) invoke("ActivateNext");
    }
    /**
     * 
     */
    public java.lang.Object ActivatePrevious() throws COMException {
        return (java.lang.Object) invoke("ActivatePrevious");
    }
    /**
     * 
     */
    public Range getActiveCell() throws COMException {
        return new Range((DispatchPtr) get("ActiveCell"));
    }
    /**
     * 
     */
    public _Chart getActiveChart() throws COMException {
        return new _Chart((DispatchPtr) get("ActiveChart"));
    }
    /**
     * 
     */
    public Pane getActivePane() throws COMException {
        return new Pane((DispatchPtr) get("ActivePane"));
    }
    /**
     * 
     */
    public DispatchPtr getActiveSheet() throws COMException {
        return (DispatchPtr) get("ActiveSheet");
    }
    /**
     * 
     */
    public java.lang.Object getCaption() throws COMException {
        return (java.lang.Object) get("Caption");
    }
    /**
     * 
     */
    public void setCaption(java.lang.Object newCaption) throws COMException {
        put("Caption", newCaption);
    }
    /**
     * 
     */
    public boolean Close() throws COMException {
        return ((java.lang.Boolean) invoke("Close")).booleanValue();
    }
    public boolean Close(java.lang.Object SaveChanges) throws COMException {
        return ((java.lang.Boolean) invokeN("Close", new Object[]{SaveChanges}, 1)).booleanValue();
    }
    public boolean Close(java.lang.Object SaveChanges, java.lang.Object Filename) throws COMException {
        return ((java.lang.Boolean) invokeN("Close", new Object[]{SaveChanges, Filename}, 2)).booleanValue();
    }
    public boolean Close(java.lang.Object SaveChanges, java.lang.Object Filename, java.lang.Object RouteWorkbook) throws COMException {
        return ((java.lang.Boolean) invokeN("Close", new Object[]{SaveChanges, Filename, RouteWorkbook}, 3)).booleanValue();
    }
    /**
     * 
     */
    public boolean getDisplayFormulas() throws COMException {
        return ((java.lang.Boolean) get("DisplayFormulas")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayFormulas(boolean newDisplayFormulas) throws COMException {
        put("DisplayFormulas", new java.lang.Boolean(newDisplayFormulas));
    }
    /**
     * 
     */
    public boolean getDisplayGridlines() throws COMException {
        return ((java.lang.Boolean) get("DisplayGridlines")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayGridlines(boolean newDisplayGridlines) throws COMException {
        put("DisplayGridlines", new java.lang.Boolean(newDisplayGridlines));
    }
    /**
     * 
     */
    public boolean getDisplayHeadings() throws COMException {
        return ((java.lang.Boolean) get("DisplayHeadings")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayHeadings(boolean newDisplayHeadings) throws COMException {
        put("DisplayHeadings", new java.lang.Boolean(newDisplayHeadings));
    }
    /**
     * 
     */
    public boolean getDisplayHorizontalScrollBar() throws COMException {
        return ((java.lang.Boolean) get("DisplayHorizontalScrollBar")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayHorizontalScrollBar(boolean newDisplayHorizontalScrollBar) throws COMException {
        put("DisplayHorizontalScrollBar", new java.lang.Boolean(newDisplayHorizontalScrollBar));
    }
    /**
     * 
     */
    public boolean getDisplayOutline() throws COMException {
        return ((java.lang.Boolean) get("DisplayOutline")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayOutline(boolean newDisplayOutline) throws COMException {
        put("DisplayOutline", new java.lang.Boolean(newDisplayOutline));
    }
    /**
     * 
     */
    public boolean get_DisplayRightToLeft() throws COMException {
        return ((java.lang.Boolean) get("_DisplayRightToLeft")).booleanValue();
    }
    /**
     * 
     */
    public void set_DisplayRightToLeft(boolean new_DisplayRightToLeft) throws COMException {
        put("_DisplayRightToLeft", new java.lang.Boolean(new_DisplayRightToLeft));
    }
    /**
     * 
     */
    public boolean getDisplayVerticalScrollBar() throws COMException {
        return ((java.lang.Boolean) get("DisplayVerticalScrollBar")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayVerticalScrollBar(boolean newDisplayVerticalScrollBar) throws COMException {
        put("DisplayVerticalScrollBar", new java.lang.Boolean(newDisplayVerticalScrollBar));
    }
    /**
     * 
     */
    public boolean getDisplayWorkbookTabs() throws COMException {
        return ((java.lang.Boolean) get("DisplayWorkbookTabs")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayWorkbookTabs(boolean newDisplayWorkbookTabs) throws COMException {
        put("DisplayWorkbookTabs", new java.lang.Boolean(newDisplayWorkbookTabs));
    }
    /**
     * 
     */
    public boolean getDisplayZeros() throws COMException {
        return ((java.lang.Boolean) get("DisplayZeros")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayZeros(boolean newDisplayZeros) throws COMException {
        put("DisplayZeros", new java.lang.Boolean(newDisplayZeros));
    }
    /**
     * 
     */
    public boolean getEnableResize() throws COMException {
        return ((java.lang.Boolean) get("EnableResize")).booleanValue();
    }
    /**
     * 
     */
    public void setEnableResize(boolean newEnableResize) throws COMException {
        put("EnableResize", new java.lang.Boolean(newEnableResize));
    }
    /**
     * 
     */
    public boolean getFreezePanes() throws COMException {
        return ((java.lang.Boolean) get("FreezePanes")).booleanValue();
    }
    /**
     * 
     */
    public void setFreezePanes(boolean newFreezePanes) throws COMException {
        put("FreezePanes", new java.lang.Boolean(newFreezePanes));
    }
    /**
     * 
     */
    public int getGridlineColor() throws COMException {
        return ((java.lang.Integer) get("GridlineColor")).intValue();
    }
    /**
     * 
     */
    public void setGridlineColor(int newGridlineColor) throws COMException {
        put("GridlineColor", new java.lang.Integer(newGridlineColor));
    }
    /**
     * 
     */
    public int getGridlineColorIndex() throws COMException {
        return ((java.lang.Integer) get("GridlineColorIndex")).intValue();
    }
    /**
     * 
     */
    public void setGridlineColorIndex(int newGridlineColorIndex) throws COMException {
        put("GridlineColorIndex", new java.lang.Integer(newGridlineColorIndex));
    }
    /**
     * 
     */
    public double getHeight() throws COMException {
        return ((java.lang.Double) get("Height")).doubleValue();
    }
    /**
     * 
     */
    public void setHeight(double newHeight) throws COMException {
        put("Height", new java.lang.Double(newHeight));
    }
    /**
     * 
     */
    public int getIndex() throws COMException {
        return ((java.lang.Integer) get("Index")).intValue();
    }
    /**
     * 
     */
    public java.lang.Object LargeScroll() throws COMException {
        return (java.lang.Object) invoke("LargeScroll");
    }
    public java.lang.Object LargeScroll(java.lang.Object Down) throws COMException {
        return (java.lang.Object) invokeN("LargeScroll", new Object[]{Down}, 1);
    }
    public java.lang.Object LargeScroll(java.lang.Object Down, java.lang.Object Up) throws COMException {
        return (java.lang.Object) invokeN("LargeScroll", new Object[]{Down, Up}, 2);
    }
    public java.lang.Object LargeScroll(java.lang.Object Down, java.lang.Object Up, java.lang.Object ToRight) throws COMException {
        return (java.lang.Object) invokeN("LargeScroll", new Object[]{Down, Up, ToRight}, 3);
    }
    public java.lang.Object LargeScroll(java.lang.Object Down, java.lang.Object Up, java.lang.Object ToRight, java.lang.Object ToLeft) throws COMException {
        return (java.lang.Object) invokeN("LargeScroll", new Object[]{Down, Up, ToRight, ToLeft}, 4);
    }
    /**
     * 
     */
    public double getLeft() throws COMException {
        return ((java.lang.Double) get("Left")).doubleValue();
    }
    /**
     * 
     */
    public void setLeft(double newLeft) throws COMException {
        put("Left", new java.lang.Double(newLeft));
    }
    /**
     * 
     */
    public Window NewWindow() throws COMException {
        return new Window((DispatchPtr) invoke("NewWindow"));
    }
    /**
     * 
     */
    public java.lang.String getOnWindow() throws COMException {
        return (java.lang.String) get("OnWindow");
    }
    /**
     * 
     */
    public void setOnWindow(java.lang.String newOnWindow) throws COMException {
        put("OnWindow", newOnWindow);
    }
    /**
     * 
     */
    public Panes getPanes() throws COMException {
        return new Panes((DispatchPtr) get("Panes"));
    }
    /**
     * 
     */
    public java.lang.Object PrintOut() throws COMException {
        return (java.lang.Object) invoke("PrintOut");
    }
    public java.lang.Object PrintOut(java.lang.Object From) throws COMException {
        return (java.lang.Object) invokeN("PrintOut", new Object[]{From}, 1);
    }
    public java.lang.Object PrintOut(java.lang.Object From, java.lang.Object To) throws COMException {
        return (java.lang.Object) invokeN("PrintOut", new Object[]{From, To}, 2);
    }
    public java.lang.Object PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies) throws COMException {
        return (java.lang.Object) invokeN("PrintOut", new Object[]{From, To, Copies}, 3);
    }
    public java.lang.Object PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview) throws COMException {
        return (java.lang.Object) invokeN("PrintOut", new Object[]{From, To, Copies, Preview}, 4);
    }
    public java.lang.Object PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter) throws COMException {
        return (java.lang.Object) invokeN("PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter}, 5);
    }
    public java.lang.Object PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter, java.lang.Object PrintToFile) throws COMException {
        return (java.lang.Object) invokeN("PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter, PrintToFile}, 6);
    }
    public java.lang.Object PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter, java.lang.Object PrintToFile, java.lang.Object Collate) throws COMException {
        return (java.lang.Object) invokeN("PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter, PrintToFile, Collate}, 7);
    }
    public java.lang.Object PrintOut(java.lang.Object From, java.lang.Object To, java.lang.Object Copies, java.lang.Object Preview, java.lang.Object ActivePrinter, java.lang.Object PrintToFile, java.lang.Object Collate, java.lang.Object PrToFileName) throws COMException {
        return (java.lang.Object) invokeN("PrintOut", new Object[]{From, To, Copies, Preview, ActivePrinter, PrintToFile, Collate, PrToFileName}, 8);
    }
    /**
     * 
     */
    public java.lang.Object PrintPreview() throws COMException {
        return (java.lang.Object) invoke("PrintPreview");
    }
    public java.lang.Object PrintPreview(java.lang.Object EnableChanges) throws COMException {
        return (java.lang.Object) invokeN("PrintPreview", new Object[]{EnableChanges}, 1);
    }
    /**
     * 
     */
    public Range getRangeSelection() throws COMException {
        return new Range((DispatchPtr) get("RangeSelection"));
    }
    /**
     * 
     */
    public int getScrollColumn() throws COMException {
        return ((java.lang.Integer) get("ScrollColumn")).intValue();
    }
    /**
     * 
     */
    public void setScrollColumn(int newScrollColumn) throws COMException {
        put("ScrollColumn", new java.lang.Integer(newScrollColumn));
    }
    /**
     * 
     */
    public int getScrollRow() throws COMException {
        return ((java.lang.Integer) get("ScrollRow")).intValue();
    }
    /**
     * 
     */
    public void setScrollRow(int newScrollRow) throws COMException {
        put("ScrollRow", new java.lang.Integer(newScrollRow));
    }
    /**
     * 
     */
    public java.lang.Object ScrollWorkbookTabs() throws COMException {
        return (java.lang.Object) invoke("ScrollWorkbookTabs");
    }
    public java.lang.Object ScrollWorkbookTabs(java.lang.Object Sheets) throws COMException {
        return (java.lang.Object) invokeN("ScrollWorkbookTabs", new Object[]{Sheets}, 1);
    }
    public java.lang.Object ScrollWorkbookTabs(java.lang.Object Sheets, java.lang.Object Position) throws COMException {
        return (java.lang.Object) invokeN("ScrollWorkbookTabs", new Object[]{Sheets, Position}, 2);
    }
    /**
     * 
     */
    public Sheets getSelectedSheets() throws COMException {
        return new Sheets((DispatchPtr) get("SelectedSheets"));
    }
    /**
     * 
     */
    public DispatchPtr getSelection() throws COMException {
        return (DispatchPtr) get("Selection");
    }
    /**
     * 
     */
    public java.lang.Object SmallScroll() throws COMException {
        return (java.lang.Object) invoke("SmallScroll");
    }
    public java.lang.Object SmallScroll(java.lang.Object Down) throws COMException {
        return (java.lang.Object) invokeN("SmallScroll", new Object[]{Down}, 1);
    }
    public java.lang.Object SmallScroll(java.lang.Object Down, java.lang.Object Up) throws COMException {
        return (java.lang.Object) invokeN("SmallScroll", new Object[]{Down, Up}, 2);
    }
    public java.lang.Object SmallScroll(java.lang.Object Down, java.lang.Object Up, java.lang.Object ToRight) throws COMException {
        return (java.lang.Object) invokeN("SmallScroll", new Object[]{Down, Up, ToRight}, 3);
    }
    public java.lang.Object SmallScroll(java.lang.Object Down, java.lang.Object Up, java.lang.Object ToRight, java.lang.Object ToLeft) throws COMException {
        return (java.lang.Object) invokeN("SmallScroll", new Object[]{Down, Up, ToRight, ToLeft}, 4);
    }
    /**
     * 
     */
    public boolean getSplit() throws COMException {
        return ((java.lang.Boolean) get("Split")).booleanValue();
    }
    /**
     * 
     */
    public void setSplit(boolean newSplit) throws COMException {
        put("Split", new java.lang.Boolean(newSplit));
    }
    /**
     * 
     */
    public int getSplitColumn() throws COMException {
        return ((java.lang.Integer) get("SplitColumn")).intValue();
    }
    /**
     * 
     */
    public void setSplitColumn(int newSplitColumn) throws COMException {
        put("SplitColumn", new java.lang.Integer(newSplitColumn));
    }
    /**
     * 
     */
    public double getSplitHorizontal() throws COMException {
        return ((java.lang.Double) get("SplitHorizontal")).doubleValue();
    }
    /**
     * 
     */
    public void setSplitHorizontal(double newSplitHorizontal) throws COMException {
        put("SplitHorizontal", new java.lang.Double(newSplitHorizontal));
    }
    /**
     * 
     */
    public int getSplitRow() throws COMException {
        return ((java.lang.Integer) get("SplitRow")).intValue();
    }
    /**
     * 
     */
    public void setSplitRow(int newSplitRow) throws COMException {
        put("SplitRow", new java.lang.Integer(newSplitRow));
    }
    /**
     * 
     */
    public double getSplitVertical() throws COMException {
        return ((java.lang.Double) get("SplitVertical")).doubleValue();
    }
    /**
     * 
     */
    public void setSplitVertical(double newSplitVertical) throws COMException {
        put("SplitVertical", new java.lang.Double(newSplitVertical));
    }
    /**
     * 
     */
    public double getTabRatio() throws COMException {
        return ((java.lang.Double) get("TabRatio")).doubleValue();
    }
    /**
     * 
     */
    public void setTabRatio(double newTabRatio) throws COMException {
        put("TabRatio", new java.lang.Double(newTabRatio));
    }
    /**
     * 
     */
    public double getTop() throws COMException {
        return ((java.lang.Double) get("Top")).doubleValue();
    }
    /**
     * 
     */
    public void setTop(double newTop) throws COMException {
        put("Top", new java.lang.Double(newTop));
    }
    /**
     * 
     */
    public int getType() throws COMException {
        return ((java.lang.Integer) get("Type")).intValue();
    }
    /**
     * 
     */
    public double getUsableHeight() throws COMException {
        return ((java.lang.Double) get("UsableHeight")).doubleValue();
    }
    /**
     * 
     */
    public double getUsableWidth() throws COMException {
        return ((java.lang.Double) get("UsableWidth")).doubleValue();
    }
    /**
     * 
     */
    public boolean getVisible() throws COMException {
        return ((java.lang.Boolean) get("Visible")).booleanValue();
    }
    /**
     * 
     */
    public void setVisible(boolean newVisible) throws COMException {
        put("Visible", new java.lang.Boolean(newVisible));
    }
    /**
     * 
     */
    public Range getVisibleRange() throws COMException {
        return new Range((DispatchPtr) get("VisibleRange"));
    }
    /**
     * 
     */
    public double getWidth() throws COMException {
        return ((java.lang.Double) get("Width")).doubleValue();
    }
    /**
     * 
     */
    public void setWidth(double newWidth) throws COMException {
        put("Width", new java.lang.Double(newWidth));
    }
    /**
     * 
     */
    public int getWindowNumber() throws COMException {
        return ((java.lang.Integer) get("WindowNumber")).intValue();
    }
    /**
     * 
     */
    public int getWindowState() throws COMException {
        return ((java.lang.Integer) get("WindowState")).intValue();
    }
    /**
     * 
     */
    public void setWindowState(int newWindowState) throws COMException {
        put("WindowState", new java.lang.Integer(newWindowState));
    }
    /**
     * 
     */
    public java.lang.Object getZoom() throws COMException {
        return (java.lang.Object) get("Zoom");
    }
    /**
     * 
     */
    public void setZoom(java.lang.Object newZoom) throws COMException {
        put("Zoom", newZoom);
    }
    /**
     * 
     */
    public int getView() throws COMException {
        return ((java.lang.Integer) get("View")).intValue();
    }
    /**
     * 
     */
    public void setView(int newView) throws COMException {
        put("View", new java.lang.Integer(newView));
    }
    /**
     * 
     */
    public boolean getDisplayRightToLeft() throws COMException {
        return ((java.lang.Boolean) get("DisplayRightToLeft")).booleanValue();
    }
    /**
     * 
     */
    public void setDisplayRightToLeft(boolean newDisplayRightToLeft) throws COMException {
        put("DisplayRightToLeft", new java.lang.Boolean(newDisplayRightToLeft));
    }
    /**
     * 
     */
    public int PointsToScreenPixelsX(int Points) throws COMException {
        return ((java.lang.Integer) invokeN("PointsToScreenPixelsX", new Object[]{new java.lang.Integer(Points)}, 1)).intValue();
    }
    /**
     * 
     */
    public int PointsToScreenPixelsY(int Points) throws COMException {
        return ((java.lang.Integer) invokeN("PointsToScreenPixelsY", new Object[]{new java.lang.Integer(Points)}, 1)).intValue();
    }
    /**
     * 
     */
    public DispatchPtr RangeFromPoint(int x, int y) throws COMException {
        return (DispatchPtr) invokeN("RangeFromPoint", new Object[]{new java.lang.Integer(x), new java.lang.Integer(y)}, 2);
    }
    /**
     * 
     */
    public void ScrollIntoView(int Left, int Top, int Width, int Height) throws COMException {
        invokeN("ScrollIntoView", new Object[]{new java.lang.Integer(Left), new java.lang.Integer(Top), new java.lang.Integer(Width), new java.lang.Integer(Height)}, 4);
    }
    public void ScrollIntoView(int Left, int Top, int Width, int Height, java.lang.Object Start) throws COMException {
        invokeN("ScrollIntoView", new Object[]{new java.lang.Integer(Left), new java.lang.Integer(Top), new java.lang.Integer(Width), new java.lang.Integer(Height), Start}, 5);
    }
}
