// created by OLEWrapgen
// from TypeLib at C:\Program Files\Microsoft Office\Office10\MSWORD.OLB
// check for latest version at http://www.composiasoft.com

package Word;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;

import Office.*;

public class Range extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{0002095E-0000-0000-C000-000000000046}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, Range.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty Range Object
     */
    public Range() throws COMException {
        super();
    }
    /**
     * Creates Range Object with progID
     */
    public Range(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of Range Object
     */
    public Range(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates Range Object with CLSID
     */
    public Range(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public java.lang.String getText() throws COMException {
        return (java.lang.String) get("Text");
    }
    /**
     * 
     */
    public void setText(java.lang.String newText) throws COMException {
        put("Text", newText);
    }
    /**
     * 
     */
    public Range getFormattedText() throws COMException {
        return new Range((DispatchPtr) get("FormattedText"));
    }
    /**
     * 
     */
    public void setFormattedText(Range newFormattedText) throws COMException {
        put("FormattedText", newFormattedText);
    }
    /**
     * 
     */
    public int getStart() throws COMException {
        return ((java.lang.Integer) get("Start")).intValue();
    }
    /**
     * 
     */
    public void setStart(int newStart) throws COMException {
        put("Start", new java.lang.Integer(newStart));
    }
    /**
     * 
     */
    public int getEnd() throws COMException {
        return ((java.lang.Integer) get("End")).intValue();
    }
    /**
     * 
     */
    public void setEnd(int newEnd) throws COMException {
        put("End", new java.lang.Integer(newEnd));
    }
    /**
     * 
     */
    public _Font getFont() throws COMException {
        return new _Font((DispatchPtr) get("Font"));
    }
    /**
     * 
     */
    public void setFont(_Font newFont) throws COMException {
        put("Font", newFont);
    }
    /**
     * 
     */
    public Range getDuplicate() throws COMException {
        return new Range((DispatchPtr) get("Duplicate"));
    }
    /**
     * 
     */
    public int getStoryType() throws COMException {
        return ((java.lang.Integer) get("StoryType")).intValue();
    }
    /**
     * 
     */
    public Tables getTables() throws COMException {
        return new Tables((DispatchPtr) get("Tables"));
    }
    /**
     * 
     */
    public Words getWords() throws COMException {
        return new Words((DispatchPtr) get("Words"));
    }
    /**
     * 
     */
    public Sentences getSentences() throws COMException {
        return new Sentences((DispatchPtr) get("Sentences"));
    }
    /**
     * 
     */
    public Characters getCharacters() throws COMException {
        return new Characters((DispatchPtr) get("Characters"));
    }
    /**
     * 
     */
    public Footnotes getFootnotes() throws COMException {
        return new Footnotes((DispatchPtr) get("Footnotes"));
    }
    /**
     * 
     */
    public Endnotes getEndnotes() throws COMException {
        return new Endnotes((DispatchPtr) get("Endnotes"));
    }
    /**
     * 
     */
    public Comments getComments() throws COMException {
        return new Comments((DispatchPtr) get("Comments"));
    }
    /**
     * 
     */
    public Cells getCells() throws COMException {
        return new Cells((DispatchPtr) get("Cells"));
    }
    /**
     * 
     */
    public Sections getSections() throws COMException {
        return new Sections((DispatchPtr) get("Sections"));
    }
    /**
     * 
     */
    public Paragraphs getParagraphs() throws COMException {
        return new Paragraphs((DispatchPtr) get("Paragraphs"));
    }
    /**
     * 
     */
    public Borders getBorders() throws COMException {
        return new Borders((DispatchPtr) get("Borders"));
    }
    /**
     * 
     */
    public void setBorders(Borders newBorders) throws COMException {
        put("Borders", newBorders);
    }
    /**
     * 
     */
    public Shading getShading() throws COMException {
        return new Shading((DispatchPtr) get("Shading"));
    }
    /**
     * 
     */
    public TextRetrievalMode getTextRetrievalMode() throws COMException {
        return new TextRetrievalMode((DispatchPtr) get("TextRetrievalMode"));
    }
    /**
     * 
     */
    public void setTextRetrievalMode(TextRetrievalMode newTextRetrievalMode) throws COMException {
        put("TextRetrievalMode", newTextRetrievalMode);
    }
    /**
     * 
     */
    public Fields getFields() throws COMException {
        return new Fields((DispatchPtr) get("Fields"));
    }
    /**
     * 
     */
    public FormFields getFormFields() throws COMException {
        return new FormFields((DispatchPtr) get("FormFields"));
    }
    /**
     * 
     */
    public Frames getFrames() throws COMException {
        return new Frames((DispatchPtr) get("Frames"));
    }
    /**
     * 
     */
    public _ParagraphFormat getParagraphFormat() throws COMException {
        return new _ParagraphFormat((DispatchPtr) get("ParagraphFormat"));
    }
    /**
     * 
     */
    public void setParagraphFormat(_ParagraphFormat newParagraphFormat) throws COMException {
        put("ParagraphFormat", newParagraphFormat);
    }
    /**
     * 
     */
    public ListFormat getListFormat() throws COMException {
        return new ListFormat((DispatchPtr) get("ListFormat"));
    }
    /**
     * 
     */
    public Bookmarks getBookmarks() throws COMException {
        return new Bookmarks((DispatchPtr) get("Bookmarks"));
    }
    /**
     * 
     */
    public _Application getApplication() throws COMException {
        return new _Application((DispatchPtr) get("Application"));
    }
    /**
     * 
     */
    public int getCreator() throws COMException {
        return ((java.lang.Integer) get("Creator")).intValue();
    }
    /**
     * 
     */
    public DispatchPtr getParent() throws COMException {
        return (DispatchPtr) get("Parent");
    }
    /**
     * 
     */
    public int getBold() throws COMException {
        return ((java.lang.Integer) get("Bold")).intValue();
    }
    /**
     * 
     */
    public void setBold(int newBold) throws COMException {
        put("Bold", new java.lang.Integer(newBold));
    }
    /**
     * 
     */
    public int getItalic() throws COMException {
        return ((java.lang.Integer) get("Italic")).intValue();
    }
    /**
     * 
     */
    public void setItalic(int newItalic) throws COMException {
        put("Italic", new java.lang.Integer(newItalic));
    }
    /**
     * 
     */
    public int getUnderline() throws COMException {
        return ((java.lang.Integer) get("Underline")).intValue();
    }
    /**
     * 
     */
    public void setUnderline(int newUnderline) throws COMException {
        put("Underline", new java.lang.Integer(newUnderline));
    }
    /**
     * 
     */
    public int getEmphasisMark() throws COMException {
        return ((java.lang.Integer) get("EmphasisMark")).intValue();
    }
    /**
     * 
     */
    public void setEmphasisMark(int newEmphasisMark) throws COMException {
        put("EmphasisMark", new java.lang.Integer(newEmphasisMark));
    }
    /**
     * 
     */
    public boolean getDisableCharacterSpaceGrid() throws COMException {
        return ((java.lang.Boolean) get("DisableCharacterSpaceGrid")).booleanValue();
    }
    /**
     * 
     */
    public void setDisableCharacterSpaceGrid(boolean newDisableCharacterSpaceGrid) throws COMException {
        put("DisableCharacterSpaceGrid", new java.lang.Boolean(newDisableCharacterSpaceGrid));
    }
    /**
     * 
     */
    public Revisions getRevisions() throws COMException {
        return new Revisions((DispatchPtr) get("Revisions"));
    }
    /**
     * 
     */
    public java.lang.Object getStyle() throws COMException {
        return (java.lang.Object) get("Style");
    }
    /**
     * 
     */
    public void setStyle(ObjectRef newStyle) throws COMException {
        put("Style", newStyle);
    }
    /**
     * 
     */
    public int getStoryLength() throws COMException {
        return ((java.lang.Integer) get("StoryLength")).intValue();
    }
    /**
     * 
     */
    public int getLanguageID() throws COMException {
        return ((java.lang.Integer) get("LanguageID")).intValue();
    }
    /**
     * 
     */
    public void setLanguageID(int newLanguageID) throws COMException {
        put("LanguageID", new java.lang.Integer(newLanguageID));
    }
    /**
     * 
     */
    public SynonymInfo getSynonymInfo() throws COMException {
        return new SynonymInfo((DispatchPtr) get("SynonymInfo"));
    }
    /**
     * 
     */
    public Hyperlinks getHyperlinks() throws COMException {
        return new Hyperlinks((DispatchPtr) get("Hyperlinks"));
    }
    /**
     * 
     */
    public ListParagraphs getListParagraphs() throws COMException {
        return new ListParagraphs((DispatchPtr) get("ListParagraphs"));
    }
    /**
     * 
     */
    public Subdocuments getSubdocuments() throws COMException {
        return new Subdocuments((DispatchPtr) get("Subdocuments"));
    }
    /**
     * 
     */
    public boolean getGrammarChecked() throws COMException {
        return ((java.lang.Boolean) get("GrammarChecked")).booleanValue();
    }
    /**
     * 
     */
    public void setGrammarChecked(boolean newGrammarChecked) throws COMException {
        put("GrammarChecked", new java.lang.Boolean(newGrammarChecked));
    }
    /**
     * 
     */
    public boolean getSpellingChecked() throws COMException {
        return ((java.lang.Boolean) get("SpellingChecked")).booleanValue();
    }
    /**
     * 
     */
    public void setSpellingChecked(boolean newSpellingChecked) throws COMException {
        put("SpellingChecked", new java.lang.Boolean(newSpellingChecked));
    }
    /**
     * 
     */
    public int getHighlightColorIndex() throws COMException {
        return ((java.lang.Integer) get("HighlightColorIndex")).intValue();
    }
    /**
     * 
     */
    public void setHighlightColorIndex(int newHighlightColorIndex) throws COMException {
        put("HighlightColorIndex", new java.lang.Integer(newHighlightColorIndex));
    }
    /**
     * 
     */
    public Columns getColumns() throws COMException {
        return new Columns((DispatchPtr) get("Columns"));
    }
    /**
     * 
     */
    public Rows getRows() throws COMException {
        return new Rows((DispatchPtr) get("Rows"));
    }
    /**
     * 
     */
    public int getCanEdit() throws COMException {
        return ((java.lang.Integer) get("CanEdit")).intValue();
    }
    /**
     * 
     */
    public int getCanPaste() throws COMException {
        return ((java.lang.Integer) get("CanPaste")).intValue();
    }
    /**
     * 
     */
    public boolean getIsEndOfRowMark() throws COMException {
        return ((java.lang.Boolean) get("IsEndOfRowMark")).booleanValue();
    }
    /**
     * 
     */
    public int getBookmarkID() throws COMException {
        return ((java.lang.Integer) get("BookmarkID")).intValue();
    }
    /**
     * 
     */
    public int getPreviousBookmarkID() throws COMException {
        return ((java.lang.Integer) get("PreviousBookmarkID")).intValue();
    }
    /**
     * 
     */
    public Find getFind() throws COMException {
        return new Find((DispatchPtr) get("Find"));
    }
    /**
     * 
     */
    public PageSetup getPageSetup() throws COMException {
        return new PageSetup((DispatchPtr) get("PageSetup"));
    }
    /**
     * 
     */
    public void setPageSetup(PageSetup newPageSetup) throws COMException {
        put("PageSetup", newPageSetup);
    }
    /**
     * 
     */
    public ShapeRange getShapeRange() throws COMException {
        return new ShapeRange((DispatchPtr) get("ShapeRange"));
    }
    /**
     * 
     */
    public int getCase() throws COMException {
        return ((java.lang.Integer) get("Case")).intValue();
    }
    /**
     * 
     */
    public void setCase(int newCase) throws COMException {
        put("Case", new java.lang.Integer(newCase));
    }
    /**
     * 
     */
    public java.lang.Object getInformation(int Type) throws COMException {
        return (java.lang.Object) getN("Information", new Object[]{new java.lang.Integer(Type)});
    }
    /**
     * 
     */
    public ReadabilityStatistics getReadabilityStatistics() throws COMException {
        return new ReadabilityStatistics((DispatchPtr) get("ReadabilityStatistics"));
    }
    /**
     * 
     */
    public ProofreadingErrors getGrammaticalErrors() throws COMException {
        return new ProofreadingErrors((DispatchPtr) get("GrammaticalErrors"));
    }
    /**
     * 
     */
    public ProofreadingErrors getSpellingErrors() throws COMException {
        return new ProofreadingErrors((DispatchPtr) get("SpellingErrors"));
    }
    /**
     * 
     */
    public int getOrientation() throws COMException {
        return ((java.lang.Integer) get("Orientation")).intValue();
    }
    /**
     * 
     */
    public void setOrientation(int newOrientation) throws COMException {
        put("Orientation", new java.lang.Integer(newOrientation));
    }
    /**
     * 
     */
    public InlineShapes getInlineShapes() throws COMException {
        return new InlineShapes((DispatchPtr) get("InlineShapes"));
    }
    /**
     * 
     */
    public Range getNextStoryRange() throws COMException {
        return new Range((DispatchPtr) get("NextStoryRange"));
    }
    /**
     * 
     */
    public int getLanguageIDFarEast() throws COMException {
        return ((java.lang.Integer) get("LanguageIDFarEast")).intValue();
    }
    /**
     * 
     */
    public void setLanguageIDFarEast(int newLanguageIDFarEast) throws COMException {
        put("LanguageIDFarEast", new java.lang.Integer(newLanguageIDFarEast));
    }
    /**
     * 
     */
    public int getLanguageIDOther() throws COMException {
        return ((java.lang.Integer) get("LanguageIDOther")).intValue();
    }
    /**
     * 
     */
    public void setLanguageIDOther(int newLanguageIDOther) throws COMException {
        put("LanguageIDOther", new java.lang.Integer(newLanguageIDOther));
    }
    /**
     * 
     */
    public void Select() throws COMException {
        invoke("Select");
    }
    /**
     * 
     */
    public void SetRange(int Start, int End) throws COMException {
        invokeN("SetRange", new Object[]{new java.lang.Integer(Start), new java.lang.Integer(End)}, 2);
    }
    /**
     * 
     */
    public void Collapse() throws COMException {
        invoke("Collapse");
    }
    public void Collapse(ObjectRef Direction) throws COMException {
        invokeN("Collapse", new Object[]{Direction}, 1);
    }
    /**
     * 
     */
    public void InsertBefore(java.lang.String Text) throws COMException {
        invokeN("InsertBefore", new Object[]{Text}, 1);
    }
    /**
     * 
     */
    public void InsertAfter(java.lang.String Text) throws COMException {
        invokeN("InsertAfter", new Object[]{Text}, 1);
    }
    /**
     * 
     */
    public Range Next() throws COMException {
        return new Range((DispatchPtr) invoke("Next"));
    }
    public Range Next(ObjectRef Unit) throws COMException {
        return new Range((DispatchPtr) invokeN("Next", new Object[]{Unit}, 1));
    }
    public Range Next(ObjectRef Unit, ObjectRef Count) throws COMException {
        return new Range((DispatchPtr) invokeN("Next", new Object[]{Unit, Count}, 2));
    }
    /**
     * 
     */
    public Range Previous() throws COMException {
        return new Range((DispatchPtr) invoke("Previous"));
    }
    public Range Previous(ObjectRef Unit) throws COMException {
        return new Range((DispatchPtr) invokeN("Previous", new Object[]{Unit}, 1));
    }
    public Range Previous(ObjectRef Unit, ObjectRef Count) throws COMException {
        return new Range((DispatchPtr) invokeN("Previous", new Object[]{Unit, Count}, 2));
    }
    /**
     * 
     */
    public int StartOf() throws COMException {
        return ((java.lang.Integer) invoke("StartOf")).intValue();
    }
    public int StartOf(ObjectRef Unit) throws COMException {
        return ((java.lang.Integer) invokeN("StartOf", new Object[]{Unit}, 1)).intValue();
    }
    public int StartOf(ObjectRef Unit, ObjectRef Extend) throws COMException {
        return ((java.lang.Integer) invokeN("StartOf", new Object[]{Unit, Extend}, 2)).intValue();
    }
    /**
     * 
     */
    public int EndOf() throws COMException {
        return ((java.lang.Integer) invoke("EndOf")).intValue();
    }
    public int EndOf(ObjectRef Unit) throws COMException {
        return ((java.lang.Integer) invokeN("EndOf", new Object[]{Unit}, 1)).intValue();
    }
    public int EndOf(ObjectRef Unit, ObjectRef Extend) throws COMException {
        return ((java.lang.Integer) invokeN("EndOf", new Object[]{Unit, Extend}, 2)).intValue();
    }
    /**
     * 
     */
    public int Move() throws COMException {
        return ((java.lang.Integer) invoke("Move")).intValue();
    }
    public int Move(ObjectRef Unit) throws COMException {
        return ((java.lang.Integer) invokeN("Move", new Object[]{Unit}, 1)).intValue();
    }
    public int Move(ObjectRef Unit, ObjectRef Count) throws COMException {
        return ((java.lang.Integer) invokeN("Move", new Object[]{Unit, Count}, 2)).intValue();
    }
    /**
     * 
     */
    public int MoveStart() throws COMException {
        return ((java.lang.Integer) invoke("MoveStart")).intValue();
    }
    public int MoveStart(ObjectRef Unit) throws COMException {
        return ((java.lang.Integer) invokeN("MoveStart", new Object[]{Unit}, 1)).intValue();
    }
    public int MoveStart(ObjectRef Unit, ObjectRef Count) throws COMException {
        return ((java.lang.Integer) invokeN("MoveStart", new Object[]{Unit, Count}, 2)).intValue();
    }
    /**
     * 
     */
    public int MoveEnd() throws COMException {
        return ((java.lang.Integer) invoke("MoveEnd")).intValue();
    }
    public int MoveEnd(ObjectRef Unit) throws COMException {
        return ((java.lang.Integer) invokeN("MoveEnd", new Object[]{Unit}, 1)).intValue();
    }
    public int MoveEnd(ObjectRef Unit, ObjectRef Count) throws COMException {
        return ((java.lang.Integer) invokeN("MoveEnd", new Object[]{Unit, Count}, 2)).intValue();
    }
    /**
     * 
     */
    public int MoveWhile(ObjectRef Cset) throws COMException {
        return ((java.lang.Integer) invokeN("MoveWhile", new Object[]{Cset}, 1)).intValue();
    }
    public int MoveWhile(ObjectRef Cset, ObjectRef Count) throws COMException {
        return ((java.lang.Integer) invokeN("MoveWhile", new Object[]{Cset, Count}, 2)).intValue();
    }
    /**
     * 
     */
    public int MoveStartWhile(ObjectRef Cset) throws COMException {
        return ((java.lang.Integer) invokeN("MoveStartWhile", new Object[]{Cset}, 1)).intValue();
    }
    public int MoveStartWhile(ObjectRef Cset, ObjectRef Count) throws COMException {
        return ((java.lang.Integer) invokeN("MoveStartWhile", new Object[]{Cset, Count}, 2)).intValue();
    }
    /**
     * 
     */
    public int MoveEndWhile(ObjectRef Cset) throws COMException {
        return ((java.lang.Integer) invokeN("MoveEndWhile", new Object[]{Cset}, 1)).intValue();
    }
    public int MoveEndWhile(ObjectRef Cset, ObjectRef Count) throws COMException {
        return ((java.lang.Integer) invokeN("MoveEndWhile", new Object[]{Cset, Count}, 2)).intValue();
    }
    /**
     * 
     */
    public int MoveUntil(ObjectRef Cset) throws COMException {
        return ((java.lang.Integer) invokeN("MoveUntil", new Object[]{Cset}, 1)).intValue();
    }
    public int MoveUntil(ObjectRef Cset, ObjectRef Count) throws COMException {
        return ((java.lang.Integer) invokeN("MoveUntil", new Object[]{Cset, Count}, 2)).intValue();
    }
    /**
     * 
     */
    public int MoveStartUntil(ObjectRef Cset) throws COMException {
        return ((java.lang.Integer) invokeN("MoveStartUntil", new Object[]{Cset}, 1)).intValue();
    }
    public int MoveStartUntil(ObjectRef Cset, ObjectRef Count) throws COMException {
        return ((java.lang.Integer) invokeN("MoveStartUntil", new Object[]{Cset, Count}, 2)).intValue();
    }
    /**
     * 
     */
    public int MoveEndUntil(ObjectRef Cset) throws COMException {
        return ((java.lang.Integer) invokeN("MoveEndUntil", new Object[]{Cset}, 1)).intValue();
    }
    public int MoveEndUntil(ObjectRef Cset, ObjectRef Count) throws COMException {
        return ((java.lang.Integer) invokeN("MoveEndUntil", new Object[]{Cset, Count}, 2)).intValue();
    }
    /**
     * 
     */
    public void Cut() throws COMException {
        invoke("Cut");
    }
    /**
     * 
     */
    public void Copy() throws COMException {
        invoke("Copy");
    }
    /**
     * 
     */
    public void Paste() throws COMException {
        invoke("Paste");
    }
    /**
     * 
     */
    public void InsertBreak() throws COMException {
        invoke("InsertBreak");
    }
    public void InsertBreak(ObjectRef Type) throws COMException {
        invokeN("InsertBreak", new Object[]{Type}, 1);
    }
    /**
     * 
     */
    public void InsertFile(java.lang.String FileName) throws COMException {
        invokeN("InsertFile", new Object[]{FileName}, 1);
    }
    public void InsertFile(java.lang.String FileName, ObjectRef Range) throws COMException {
        invokeN("InsertFile", new Object[]{FileName, Range}, 2);
    }
    public void InsertFile(java.lang.String FileName, ObjectRef Range, ObjectRef ConfirmConversions) throws COMException {
        invokeN("InsertFile", new Object[]{FileName, Range, ConfirmConversions}, 3);
    }
    public void InsertFile(java.lang.String FileName, ObjectRef Range, ObjectRef ConfirmConversions, ObjectRef Link) throws COMException {
        invokeN("InsertFile", new Object[]{FileName, Range, ConfirmConversions, Link}, 4);
    }
    public void InsertFile(java.lang.String FileName, ObjectRef Range, ObjectRef ConfirmConversions, ObjectRef Link, ObjectRef Attachment) throws COMException {
        invokeN("InsertFile", new Object[]{FileName, Range, ConfirmConversions, Link, Attachment}, 5);
    }
    /**
     * 
     */
    public boolean InStory(Range Range) throws COMException {
        return ((java.lang.Boolean) invokeN("InStory", new Object[]{Range}, 1)).booleanValue();
    }
    /**
     * 
     */
    public boolean InRange(Range Range) throws COMException {
        return ((java.lang.Boolean) invokeN("InRange", new Object[]{Range}, 1)).booleanValue();
    }
    /**
     * 
     */
    public int Delete() throws COMException {
        return ((java.lang.Integer) invoke("Delete")).intValue();
    }
    public int Delete(ObjectRef Unit) throws COMException {
        return ((java.lang.Integer) invokeN("Delete", new Object[]{Unit}, 1)).intValue();
    }
    public int Delete(ObjectRef Unit, ObjectRef Count) throws COMException {
        return ((java.lang.Integer) invokeN("Delete", new Object[]{Unit, Count}, 2)).intValue();
    }
    /**
     * 
     */
    public void WholeStory() throws COMException {
        invoke("WholeStory");
    }
    /**
     * 
     */
    public int Expand() throws COMException {
        return ((java.lang.Integer) invoke("Expand")).intValue();
    }
    public int Expand(ObjectRef Unit) throws COMException {
        return ((java.lang.Integer) invokeN("Expand", new Object[]{Unit}, 1)).intValue();
    }
    /**
     * 
     */
    public void InsertParagraph() throws COMException {
        invoke("InsertParagraph");
    }
    /**
     * 
     */
    public void InsertParagraphAfter() throws COMException {
        invoke("InsertParagraphAfter");
    }
    /**
     * 
     */
    public Table ConvertToTableOld() throws COMException {
        return new Table((DispatchPtr) invoke("ConvertToTableOld"));
    }
    public Table ConvertToTableOld(ObjectRef Separator) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTableOld", new Object[]{Separator}, 1));
    }
    public Table ConvertToTableOld(ObjectRef Separator, ObjectRef NumRows) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTableOld", new Object[]{Separator, NumRows}, 2));
    }
    public Table ConvertToTableOld(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTableOld", new Object[]{Separator, NumRows, NumColumns}, 3));
    }
    public Table ConvertToTableOld(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTableOld", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth}, 4));
    }
    public Table ConvertToTableOld(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTableOld", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format}, 5));
    }
    public Table ConvertToTableOld(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTableOld", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders}, 6));
    }
    public Table ConvertToTableOld(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTableOld", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading}, 7));
    }
    public Table ConvertToTableOld(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTableOld", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont}, 8));
    }
    public Table ConvertToTableOld(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont, ObjectRef ApplyColor) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTableOld", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont, ApplyColor}, 9));
    }
    public Table ConvertToTableOld(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont, ObjectRef ApplyColor, ObjectRef ApplyHeadingRows) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTableOld", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont, ApplyColor, ApplyHeadingRows}, 10));
    }
    public Table ConvertToTableOld(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont, ObjectRef ApplyColor, ObjectRef ApplyHeadingRows, ObjectRef ApplyLastRow) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTableOld", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont, ApplyColor, ApplyHeadingRows, ApplyLastRow}, 11));
    }
    public Table ConvertToTableOld(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont, ObjectRef ApplyColor, ObjectRef ApplyHeadingRows, ObjectRef ApplyLastRow, ObjectRef ApplyFirstColumn) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTableOld", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont, ApplyColor, ApplyHeadingRows, ApplyLastRow, ApplyFirstColumn}, 12));
    }
    public Table ConvertToTableOld(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont, ObjectRef ApplyColor, ObjectRef ApplyHeadingRows, ObjectRef ApplyLastRow, ObjectRef ApplyFirstColumn, ObjectRef ApplyLastColumn) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTableOld", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont, ApplyColor, ApplyHeadingRows, ApplyLastRow, ApplyFirstColumn, ApplyLastColumn}, 13));
    }
    public Table ConvertToTableOld(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont, ObjectRef ApplyColor, ObjectRef ApplyHeadingRows, ObjectRef ApplyLastRow, ObjectRef ApplyFirstColumn, ObjectRef ApplyLastColumn, ObjectRef AutoFit) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTableOld", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont, ApplyColor, ApplyHeadingRows, ApplyLastRow, ApplyFirstColumn, ApplyLastColumn, AutoFit}, 14));
    }
    /**
     * 
     */
    public void InsertDateTimeOld() throws COMException {
        invoke("InsertDateTimeOld");
    }
    public void InsertDateTimeOld(ObjectRef DateTimeFormat) throws COMException {
        invokeN("InsertDateTimeOld", new Object[]{DateTimeFormat}, 1);
    }
    public void InsertDateTimeOld(ObjectRef DateTimeFormat, ObjectRef InsertAsField) throws COMException {
        invokeN("InsertDateTimeOld", new Object[]{DateTimeFormat, InsertAsField}, 2);
    }
    public void InsertDateTimeOld(ObjectRef DateTimeFormat, ObjectRef InsertAsField, ObjectRef InsertAsFullWidth) throws COMException {
        invokeN("InsertDateTimeOld", new Object[]{DateTimeFormat, InsertAsField, InsertAsFullWidth}, 3);
    }
    /**
     * 
     */
    public void InsertSymbol(int CharacterNumber) throws COMException {
        invokeN("InsertSymbol", new Object[]{new java.lang.Integer(CharacterNumber)}, 1);
    }
    public void InsertSymbol(int CharacterNumber, ObjectRef Font) throws COMException {
        invokeN("InsertSymbol", new Object[]{new java.lang.Integer(CharacterNumber), Font}, 2);
    }
    public void InsertSymbol(int CharacterNumber, ObjectRef Font, ObjectRef Unicode) throws COMException {
        invokeN("InsertSymbol", new Object[]{new java.lang.Integer(CharacterNumber), Font, Unicode}, 3);
    }
    public void InsertSymbol(int CharacterNumber, ObjectRef Font, ObjectRef Unicode, ObjectRef Bias) throws COMException {
        invokeN("InsertSymbol", new Object[]{new java.lang.Integer(CharacterNumber), Font, Unicode, Bias}, 4);
    }
    /**
     * 
     */
    public void InsertCrossReference(ObjectRef ReferenceType, int ReferenceKind, ObjectRef ReferenceItem) throws COMException {
        invokeN("InsertCrossReference", new Object[]{ReferenceType, new java.lang.Integer(ReferenceKind), ReferenceItem}, 3);
    }
    public void InsertCrossReference(ObjectRef ReferenceType, int ReferenceKind, ObjectRef ReferenceItem, ObjectRef InsertAsHyperlink) throws COMException {
        invokeN("InsertCrossReference", new Object[]{ReferenceType, new java.lang.Integer(ReferenceKind), ReferenceItem, InsertAsHyperlink}, 4);
    }
    public void InsertCrossReference(ObjectRef ReferenceType, int ReferenceKind, ObjectRef ReferenceItem, ObjectRef InsertAsHyperlink, ObjectRef IncludePosition) throws COMException {
        invokeN("InsertCrossReference", new Object[]{ReferenceType, new java.lang.Integer(ReferenceKind), ReferenceItem, InsertAsHyperlink, IncludePosition}, 5);
    }
    /**
     * 
     */
    public void InsertCaption(ObjectRef Label) throws COMException {
        invokeN("InsertCaption", new Object[]{Label}, 1);
    }
    public void InsertCaption(ObjectRef Label, ObjectRef Title) throws COMException {
        invokeN("InsertCaption", new Object[]{Label, Title}, 2);
    }
    public void InsertCaption(ObjectRef Label, ObjectRef Title, ObjectRef TitleAutoText) throws COMException {
        invokeN("InsertCaption", new Object[]{Label, Title, TitleAutoText}, 3);
    }
    public void InsertCaption(ObjectRef Label, ObjectRef Title, ObjectRef TitleAutoText, ObjectRef Position) throws COMException {
        invokeN("InsertCaption", new Object[]{Label, Title, TitleAutoText, Position}, 4);
    }
    /**
     * 
     */
    public void CopyAsPicture() throws COMException {
        invoke("CopyAsPicture");
    }
    /**
     * 
     */
    public void SortOld() throws COMException {
        invoke("SortOld");
    }
    public void SortOld(ObjectRef ExcludeHeader) throws COMException {
        invokeN("SortOld", new Object[]{ExcludeHeader}, 1);
    }
    public void SortOld(ObjectRef ExcludeHeader, ObjectRef FieldNumber) throws COMException {
        invokeN("SortOld", new Object[]{ExcludeHeader, FieldNumber}, 2);
    }
    public void SortOld(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType) throws COMException {
        invokeN("SortOld", new Object[]{ExcludeHeader, FieldNumber, SortFieldType}, 3);
    }
    public void SortOld(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder) throws COMException {
        invokeN("SortOld", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder}, 4);
    }
    public void SortOld(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2) throws COMException {
        invokeN("SortOld", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2}, 5);
    }
    public void SortOld(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2) throws COMException {
        invokeN("SortOld", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2}, 6);
    }
    public void SortOld(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2) throws COMException {
        invokeN("SortOld", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2}, 7);
    }
    public void SortOld(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3) throws COMException {
        invokeN("SortOld", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3}, 8);
    }
    public void SortOld(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3) throws COMException {
        invokeN("SortOld", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3}, 9);
    }
    public void SortOld(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3, ObjectRef SortOrder3) throws COMException {
        invokeN("SortOld", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3, SortOrder3}, 10);
    }
    public void SortOld(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3, ObjectRef SortOrder3, ObjectRef SortColumn) throws COMException {
        invokeN("SortOld", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3, SortOrder3, SortColumn}, 11);
    }
    public void SortOld(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3, ObjectRef SortOrder3, ObjectRef SortColumn, ObjectRef Separator) throws COMException {
        invokeN("SortOld", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3, SortOrder3, SortColumn, Separator}, 12);
    }
    public void SortOld(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3, ObjectRef SortOrder3, ObjectRef SortColumn, ObjectRef Separator, ObjectRef CaseSensitive) throws COMException {
        invokeN("SortOld", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3, SortOrder3, SortColumn, Separator, CaseSensitive}, 13);
    }
    public void SortOld(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3, ObjectRef SortOrder3, ObjectRef SortColumn, ObjectRef Separator, ObjectRef CaseSensitive, ObjectRef LanguageID) throws COMException {
        invokeN("SortOld", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3, SortOrder3, SortColumn, Separator, CaseSensitive, LanguageID}, 14);
    }
    /**
     * 
     */
    public void SortAscending() throws COMException {
        invoke("SortAscending");
    }
    /**
     * 
     */
    public void SortDescending() throws COMException {
        invoke("SortDescending");
    }
    /**
     * 
     */
    public boolean IsEqual(Range Range) throws COMException {
        return ((java.lang.Boolean) invokeN("IsEqual", new Object[]{Range}, 1)).booleanValue();
    }
    /**
     * 
     */
    public float Calculate() throws COMException {
        return ((java.lang.Float) invoke("Calculate")).floatValue();
    }
    /**
     * 
     */
    public Range GoTo() throws COMException {
        return new Range((DispatchPtr) invoke("GoTo"));
    }
    public Range GoTo(ObjectRef What) throws COMException {
        return new Range((DispatchPtr) invokeN("GoTo", new Object[]{What}, 1));
    }
    public Range GoTo(ObjectRef What, ObjectRef Which) throws COMException {
        return new Range((DispatchPtr) invokeN("GoTo", new Object[]{What, Which}, 2));
    }
    public Range GoTo(ObjectRef What, ObjectRef Which, ObjectRef Count) throws COMException {
        return new Range((DispatchPtr) invokeN("GoTo", new Object[]{What, Which, Count}, 3));
    }
    public Range GoTo(ObjectRef What, ObjectRef Which, ObjectRef Count, ObjectRef Name) throws COMException {
        return new Range((DispatchPtr) invokeN("GoTo", new Object[]{What, Which, Count, Name}, 4));
    }
    /**
     * 
     */
    public Range GoToNext(int What) throws COMException {
        return new Range((DispatchPtr) invokeN("GoToNext", new Object[]{new java.lang.Integer(What)}, 1));
    }
    /**
     * 
     */
    public Range GoToPrevious(int What) throws COMException {
        return new Range((DispatchPtr) invokeN("GoToPrevious", new Object[]{new java.lang.Integer(What)}, 1));
    }
    /**
     * 
     */
    public void PasteSpecial() throws COMException {
        invoke("PasteSpecial");
    }
    public void PasteSpecial(ObjectRef IconIndex) throws COMException {
        invokeN("PasteSpecial", new Object[]{IconIndex}, 1);
    }
    public void PasteSpecial(ObjectRef IconIndex, ObjectRef Link) throws COMException {
        invokeN("PasteSpecial", new Object[]{IconIndex, Link}, 2);
    }
    public void PasteSpecial(ObjectRef IconIndex, ObjectRef Link, ObjectRef Placement) throws COMException {
        invokeN("PasteSpecial", new Object[]{IconIndex, Link, Placement}, 3);
    }
    public void PasteSpecial(ObjectRef IconIndex, ObjectRef Link, ObjectRef Placement, ObjectRef DisplayAsIcon) throws COMException {
        invokeN("PasteSpecial", new Object[]{IconIndex, Link, Placement, DisplayAsIcon}, 4);
    }
    public void PasteSpecial(ObjectRef IconIndex, ObjectRef Link, ObjectRef Placement, ObjectRef DisplayAsIcon, ObjectRef DataType) throws COMException {
        invokeN("PasteSpecial", new Object[]{IconIndex, Link, Placement, DisplayAsIcon, DataType}, 5);
    }
    public void PasteSpecial(ObjectRef IconIndex, ObjectRef Link, ObjectRef Placement, ObjectRef DisplayAsIcon, ObjectRef DataType, ObjectRef IconFileName) throws COMException {
        invokeN("PasteSpecial", new Object[]{IconIndex, Link, Placement, DisplayAsIcon, DataType, IconFileName}, 6);
    }
    public void PasteSpecial(ObjectRef IconIndex, ObjectRef Link, ObjectRef Placement, ObjectRef DisplayAsIcon, ObjectRef DataType, ObjectRef IconFileName, ObjectRef IconLabel) throws COMException {
        invokeN("PasteSpecial", new Object[]{IconIndex, Link, Placement, DisplayAsIcon, DataType, IconFileName, IconLabel}, 7);
    }
    /**
     * 
     */
    public void LookupNameProperties() throws COMException {
        invoke("LookupNameProperties");
    }
    /**
     * 
     */
    public int ComputeStatistics(int Statistic) throws COMException {
        return ((java.lang.Integer) invokeN("ComputeStatistics", new Object[]{new java.lang.Integer(Statistic)}, 1)).intValue();
    }
    /**
     * 
     */
    public void Relocate(int Direction) throws COMException {
        invokeN("Relocate", new Object[]{new java.lang.Integer(Direction)}, 1);
    }
    /**
     * 
     */
    public void CheckSynonyms() throws COMException {
        invoke("CheckSynonyms");
    }
    /**
     * 
     */
    public void SubscribeTo(java.lang.String Edition) throws COMException {
        invokeN("SubscribeTo", new Object[]{Edition}, 1);
    }
    public void SubscribeTo(java.lang.String Edition, ObjectRef Format) throws COMException {
        invokeN("SubscribeTo", new Object[]{Edition, Format}, 2);
    }
    /**
     * 
     */
    public void CreatePublisher() throws COMException {
        invoke("CreatePublisher");
    }
    public void CreatePublisher(ObjectRef Edition) throws COMException {
        invokeN("CreatePublisher", new Object[]{Edition}, 1);
    }
    public void CreatePublisher(ObjectRef Edition, ObjectRef ContainsPICT) throws COMException {
        invokeN("CreatePublisher", new Object[]{Edition, ContainsPICT}, 2);
    }
    public void CreatePublisher(ObjectRef Edition, ObjectRef ContainsPICT, ObjectRef ContainsRTF) throws COMException {
        invokeN("CreatePublisher", new Object[]{Edition, ContainsPICT, ContainsRTF}, 3);
    }
    public void CreatePublisher(ObjectRef Edition, ObjectRef ContainsPICT, ObjectRef ContainsRTF, ObjectRef ContainsText) throws COMException {
        invokeN("CreatePublisher", new Object[]{Edition, ContainsPICT, ContainsRTF, ContainsText}, 4);
    }
    /**
     * 
     */
    public void InsertAutoText() throws COMException {
        invoke("InsertAutoText");
    }
    /**
     * 
     */
    public void InsertDatabase() throws COMException {
        invoke("InsertDatabase");
    }
    public void InsertDatabase(ObjectRef Format) throws COMException {
        invokeN("InsertDatabase", new Object[]{Format}, 1);
    }
    public void InsertDatabase(ObjectRef Format, ObjectRef Style) throws COMException {
        invokeN("InsertDatabase", new Object[]{Format, Style}, 2);
    }
    public void InsertDatabase(ObjectRef Format, ObjectRef Style, ObjectRef LinkToSource) throws COMException {
        invokeN("InsertDatabase", new Object[]{Format, Style, LinkToSource}, 3);
    }
    public void InsertDatabase(ObjectRef Format, ObjectRef Style, ObjectRef LinkToSource, ObjectRef Connection) throws COMException {
        invokeN("InsertDatabase", new Object[]{Format, Style, LinkToSource, Connection}, 4);
    }
    public void InsertDatabase(ObjectRef Format, ObjectRef Style, ObjectRef LinkToSource, ObjectRef Connection, ObjectRef SQLStatement) throws COMException {
        invokeN("InsertDatabase", new Object[]{Format, Style, LinkToSource, Connection, SQLStatement}, 5);
    }
    public void InsertDatabase(ObjectRef Format, ObjectRef Style, ObjectRef LinkToSource, ObjectRef Connection, ObjectRef SQLStatement, ObjectRef SQLStatement1) throws COMException {
        invokeN("InsertDatabase", new Object[]{Format, Style, LinkToSource, Connection, SQLStatement, SQLStatement1}, 6);
    }
    public void InsertDatabase(ObjectRef Format, ObjectRef Style, ObjectRef LinkToSource, ObjectRef Connection, ObjectRef SQLStatement, ObjectRef SQLStatement1, ObjectRef PasswordDocument) throws COMException {
        invokeN("InsertDatabase", new Object[]{Format, Style, LinkToSource, Connection, SQLStatement, SQLStatement1, PasswordDocument}, 7);
    }
    public void InsertDatabase(ObjectRef Format, ObjectRef Style, ObjectRef LinkToSource, ObjectRef Connection, ObjectRef SQLStatement, ObjectRef SQLStatement1, ObjectRef PasswordDocument, ObjectRef PasswordTemplate) throws COMException {
        invokeN("InsertDatabase", new Object[]{Format, Style, LinkToSource, Connection, SQLStatement, SQLStatement1, PasswordDocument, PasswordTemplate}, 8);
    }
    public void InsertDatabase(ObjectRef Format, ObjectRef Style, ObjectRef LinkToSource, ObjectRef Connection, ObjectRef SQLStatement, ObjectRef SQLStatement1, ObjectRef PasswordDocument, ObjectRef PasswordTemplate, ObjectRef WritePasswordDocument) throws COMException {
        invokeN("InsertDatabase", new Object[]{Format, Style, LinkToSource, Connection, SQLStatement, SQLStatement1, PasswordDocument, PasswordTemplate, WritePasswordDocument}, 9);
    }
    public void InsertDatabase(ObjectRef Format, ObjectRef Style, ObjectRef LinkToSource, ObjectRef Connection, ObjectRef SQLStatement, ObjectRef SQLStatement1, ObjectRef PasswordDocument, ObjectRef PasswordTemplate, ObjectRef WritePasswordDocument, ObjectRef WritePasswordTemplate) throws COMException {
        invokeN("InsertDatabase", new Object[]{Format, Style, LinkToSource, Connection, SQLStatement, SQLStatement1, PasswordDocument, PasswordTemplate, WritePasswordDocument, WritePasswordTemplate}, 10);
    }
    public void InsertDatabase(ObjectRef Format, ObjectRef Style, ObjectRef LinkToSource, ObjectRef Connection, ObjectRef SQLStatement, ObjectRef SQLStatement1, ObjectRef PasswordDocument, ObjectRef PasswordTemplate, ObjectRef WritePasswordDocument, ObjectRef WritePasswordTemplate, ObjectRef DataSource) throws COMException {
        invokeN("InsertDatabase", new Object[]{Format, Style, LinkToSource, Connection, SQLStatement, SQLStatement1, PasswordDocument, PasswordTemplate, WritePasswordDocument, WritePasswordTemplate, DataSource}, 11);
    }
    public void InsertDatabase(ObjectRef Format, ObjectRef Style, ObjectRef LinkToSource, ObjectRef Connection, ObjectRef SQLStatement, ObjectRef SQLStatement1, ObjectRef PasswordDocument, ObjectRef PasswordTemplate, ObjectRef WritePasswordDocument, ObjectRef WritePasswordTemplate, ObjectRef DataSource, ObjectRef From) throws COMException {
        invokeN("InsertDatabase", new Object[]{Format, Style, LinkToSource, Connection, SQLStatement, SQLStatement1, PasswordDocument, PasswordTemplate, WritePasswordDocument, WritePasswordTemplate, DataSource, From}, 12);
    }
    public void InsertDatabase(ObjectRef Format, ObjectRef Style, ObjectRef LinkToSource, ObjectRef Connection, ObjectRef SQLStatement, ObjectRef SQLStatement1, ObjectRef PasswordDocument, ObjectRef PasswordTemplate, ObjectRef WritePasswordDocument, ObjectRef WritePasswordTemplate, ObjectRef DataSource, ObjectRef From, ObjectRef To) throws COMException {
        invokeN("InsertDatabase", new Object[]{Format, Style, LinkToSource, Connection, SQLStatement, SQLStatement1, PasswordDocument, PasswordTemplate, WritePasswordDocument, WritePasswordTemplate, DataSource, From, To}, 13);
    }
    public void InsertDatabase(ObjectRef Format, ObjectRef Style, ObjectRef LinkToSource, ObjectRef Connection, ObjectRef SQLStatement, ObjectRef SQLStatement1, ObjectRef PasswordDocument, ObjectRef PasswordTemplate, ObjectRef WritePasswordDocument, ObjectRef WritePasswordTemplate, ObjectRef DataSource, ObjectRef From, ObjectRef To, ObjectRef IncludeFields) throws COMException {
        invokeN("InsertDatabase", new Object[]{Format, Style, LinkToSource, Connection, SQLStatement, SQLStatement1, PasswordDocument, PasswordTemplate, WritePasswordDocument, WritePasswordTemplate, DataSource, From, To, IncludeFields}, 14);
    }
    /**
     * 
     */
    public void AutoFormat() throws COMException {
        invoke("AutoFormat");
    }
    /**
     * 
     */
    public void CheckGrammar() throws COMException {
        invoke("CheckGrammar");
    }
    /**
     * 
     */
    public void CheckSpelling() throws COMException {
        invoke("CheckSpelling");
    }
    public void CheckSpelling(ObjectRef CustomDictionary) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary}, 1);
    }
    public void CheckSpelling(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase}, 2);
    }
    public void CheckSpelling(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef AlwaysSuggest) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest}, 3);
    }
    public void CheckSpelling(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef AlwaysSuggest, ObjectRef CustomDictionary2) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest, CustomDictionary2}, 4);
    }
    public void CheckSpelling(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef AlwaysSuggest, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest, CustomDictionary2, CustomDictionary3}, 5);
    }
    public void CheckSpelling(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef AlwaysSuggest, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3, ObjectRef CustomDictionary4) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest, CustomDictionary2, CustomDictionary3, CustomDictionary4}, 6);
    }
    public void CheckSpelling(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef AlwaysSuggest, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3, ObjectRef CustomDictionary4, ObjectRef CustomDictionary5) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest, CustomDictionary2, CustomDictionary3, CustomDictionary4, CustomDictionary5}, 7);
    }
    public void CheckSpelling(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef AlwaysSuggest, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3, ObjectRef CustomDictionary4, ObjectRef CustomDictionary5, ObjectRef CustomDictionary6) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest, CustomDictionary2, CustomDictionary3, CustomDictionary4, CustomDictionary5, CustomDictionary6}, 8);
    }
    public void CheckSpelling(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef AlwaysSuggest, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3, ObjectRef CustomDictionary4, ObjectRef CustomDictionary5, ObjectRef CustomDictionary6, ObjectRef CustomDictionary7) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest, CustomDictionary2, CustomDictionary3, CustomDictionary4, CustomDictionary5, CustomDictionary6, CustomDictionary7}, 9);
    }
    public void CheckSpelling(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef AlwaysSuggest, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3, ObjectRef CustomDictionary4, ObjectRef CustomDictionary5, ObjectRef CustomDictionary6, ObjectRef CustomDictionary7, ObjectRef CustomDictionary8) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest, CustomDictionary2, CustomDictionary3, CustomDictionary4, CustomDictionary5, CustomDictionary6, CustomDictionary7, CustomDictionary8}, 10);
    }
    public void CheckSpelling(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef AlwaysSuggest, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3, ObjectRef CustomDictionary4, ObjectRef CustomDictionary5, ObjectRef CustomDictionary6, ObjectRef CustomDictionary7, ObjectRef CustomDictionary8, ObjectRef CustomDictionary9) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest, CustomDictionary2, CustomDictionary3, CustomDictionary4, CustomDictionary5, CustomDictionary6, CustomDictionary7, CustomDictionary8, CustomDictionary9}, 11);
    }
    public void CheckSpelling(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef AlwaysSuggest, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3, ObjectRef CustomDictionary4, ObjectRef CustomDictionary5, ObjectRef CustomDictionary6, ObjectRef CustomDictionary7, ObjectRef CustomDictionary8, ObjectRef CustomDictionary9, ObjectRef CustomDictionary10) throws COMException {
        invokeN("CheckSpelling", new Object[]{CustomDictionary, IgnoreUppercase, AlwaysSuggest, CustomDictionary2, CustomDictionary3, CustomDictionary4, CustomDictionary5, CustomDictionary6, CustomDictionary7, CustomDictionary8, CustomDictionary9, CustomDictionary10}, 12);
    }
    /**
     * 
     */
    public SpellingSuggestions GetSpellingSuggestions() throws COMException {
        return new SpellingSuggestions((DispatchPtr) invoke("GetSpellingSuggestions"));
    }
    public SpellingSuggestions GetSpellingSuggestions(ObjectRef CustomDictionary) throws COMException {
        return new SpellingSuggestions((DispatchPtr) invokeN("GetSpellingSuggestions", new Object[]{CustomDictionary}, 1));
    }
    public SpellingSuggestions GetSpellingSuggestions(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase) throws COMException {
        return new SpellingSuggestions((DispatchPtr) invokeN("GetSpellingSuggestions", new Object[]{CustomDictionary, IgnoreUppercase}, 2));
    }
    public SpellingSuggestions GetSpellingSuggestions(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef MainDictionary) throws COMException {
        return new SpellingSuggestions((DispatchPtr) invokeN("GetSpellingSuggestions", new Object[]{CustomDictionary, IgnoreUppercase, MainDictionary}, 3));
    }
    public SpellingSuggestions GetSpellingSuggestions(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef MainDictionary, ObjectRef SuggestionMode) throws COMException {
        return new SpellingSuggestions((DispatchPtr) invokeN("GetSpellingSuggestions", new Object[]{CustomDictionary, IgnoreUppercase, MainDictionary, SuggestionMode}, 4));
    }
    public SpellingSuggestions GetSpellingSuggestions(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef MainDictionary, ObjectRef SuggestionMode, ObjectRef CustomDictionary2) throws COMException {
        return new SpellingSuggestions((DispatchPtr) invokeN("GetSpellingSuggestions", new Object[]{CustomDictionary, IgnoreUppercase, MainDictionary, SuggestionMode, CustomDictionary2}, 5));
    }
    public SpellingSuggestions GetSpellingSuggestions(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef MainDictionary, ObjectRef SuggestionMode, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3) throws COMException {
        return new SpellingSuggestions((DispatchPtr) invokeN("GetSpellingSuggestions", new Object[]{CustomDictionary, IgnoreUppercase, MainDictionary, SuggestionMode, CustomDictionary2, CustomDictionary3}, 6));
    }
    public SpellingSuggestions GetSpellingSuggestions(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef MainDictionary, ObjectRef SuggestionMode, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3, ObjectRef CustomDictionary4) throws COMException {
        return new SpellingSuggestions((DispatchPtr) invokeN("GetSpellingSuggestions", new Object[]{CustomDictionary, IgnoreUppercase, MainDictionary, SuggestionMode, CustomDictionary2, CustomDictionary3, CustomDictionary4}, 7));
    }
    public SpellingSuggestions GetSpellingSuggestions(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef MainDictionary, ObjectRef SuggestionMode, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3, ObjectRef CustomDictionary4, ObjectRef CustomDictionary5) throws COMException {
        return new SpellingSuggestions((DispatchPtr) invokeN("GetSpellingSuggestions", new Object[]{CustomDictionary, IgnoreUppercase, MainDictionary, SuggestionMode, CustomDictionary2, CustomDictionary3, CustomDictionary4, CustomDictionary5}, 8));
    }
    public SpellingSuggestions GetSpellingSuggestions(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef MainDictionary, ObjectRef SuggestionMode, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3, ObjectRef CustomDictionary4, ObjectRef CustomDictionary5, ObjectRef CustomDictionary6) throws COMException {
        return new SpellingSuggestions((DispatchPtr) invokeN("GetSpellingSuggestions", new Object[]{CustomDictionary, IgnoreUppercase, MainDictionary, SuggestionMode, CustomDictionary2, CustomDictionary3, CustomDictionary4, CustomDictionary5, CustomDictionary6}, 9));
    }
    public SpellingSuggestions GetSpellingSuggestions(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef MainDictionary, ObjectRef SuggestionMode, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3, ObjectRef CustomDictionary4, ObjectRef CustomDictionary5, ObjectRef CustomDictionary6, ObjectRef CustomDictionary7) throws COMException {
        return new SpellingSuggestions((DispatchPtr) invokeN("GetSpellingSuggestions", new Object[]{CustomDictionary, IgnoreUppercase, MainDictionary, SuggestionMode, CustomDictionary2, CustomDictionary3, CustomDictionary4, CustomDictionary5, CustomDictionary6, CustomDictionary7}, 10));
    }
    public SpellingSuggestions GetSpellingSuggestions(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef MainDictionary, ObjectRef SuggestionMode, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3, ObjectRef CustomDictionary4, ObjectRef CustomDictionary5, ObjectRef CustomDictionary6, ObjectRef CustomDictionary7, ObjectRef CustomDictionary8) throws COMException {
        return new SpellingSuggestions((DispatchPtr) invokeN("GetSpellingSuggestions", new Object[]{CustomDictionary, IgnoreUppercase, MainDictionary, SuggestionMode, CustomDictionary2, CustomDictionary3, CustomDictionary4, CustomDictionary5, CustomDictionary6, CustomDictionary7, CustomDictionary8}, 11));
    }
    public SpellingSuggestions GetSpellingSuggestions(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef MainDictionary, ObjectRef SuggestionMode, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3, ObjectRef CustomDictionary4, ObjectRef CustomDictionary5, ObjectRef CustomDictionary6, ObjectRef CustomDictionary7, ObjectRef CustomDictionary8, ObjectRef CustomDictionary9) throws COMException {
        return new SpellingSuggestions((DispatchPtr) invokeN("GetSpellingSuggestions", new Object[]{CustomDictionary, IgnoreUppercase, MainDictionary, SuggestionMode, CustomDictionary2, CustomDictionary3, CustomDictionary4, CustomDictionary5, CustomDictionary6, CustomDictionary7, CustomDictionary8, CustomDictionary9}, 12));
    }
    public SpellingSuggestions GetSpellingSuggestions(ObjectRef CustomDictionary, ObjectRef IgnoreUppercase, ObjectRef MainDictionary, ObjectRef SuggestionMode, ObjectRef CustomDictionary2, ObjectRef CustomDictionary3, ObjectRef CustomDictionary4, ObjectRef CustomDictionary5, ObjectRef CustomDictionary6, ObjectRef CustomDictionary7, ObjectRef CustomDictionary8, ObjectRef CustomDictionary9, ObjectRef CustomDictionary10) throws COMException {
        return new SpellingSuggestions((DispatchPtr) invokeN("GetSpellingSuggestions", new Object[]{CustomDictionary, IgnoreUppercase, MainDictionary, SuggestionMode, CustomDictionary2, CustomDictionary3, CustomDictionary4, CustomDictionary5, CustomDictionary6, CustomDictionary7, CustomDictionary8, CustomDictionary9, CustomDictionary10}, 13));
    }
    /**
     * 
     */
    public void InsertParagraphBefore() throws COMException {
        invoke("InsertParagraphBefore");
    }
    /**
     * 
     */
    public void NextSubdocument() throws COMException {
        invoke("NextSubdocument");
    }
    /**
     * 
     */
    public void PreviousSubdocument() throws COMException {
        invoke("PreviousSubdocument");
    }
    /**
     * 
     */
    public void ConvertHangulAndHanja() throws COMException {
        invoke("ConvertHangulAndHanja");
    }
    public void ConvertHangulAndHanja(ObjectRef ConversionsMode) throws COMException {
        invokeN("ConvertHangulAndHanja", new Object[]{ConversionsMode}, 1);
    }
    public void ConvertHangulAndHanja(ObjectRef ConversionsMode, ObjectRef FastConversion) throws COMException {
        invokeN("ConvertHangulAndHanja", new Object[]{ConversionsMode, FastConversion}, 2);
    }
    public void ConvertHangulAndHanja(ObjectRef ConversionsMode, ObjectRef FastConversion, ObjectRef CheckHangulEnding) throws COMException {
        invokeN("ConvertHangulAndHanja", new Object[]{ConversionsMode, FastConversion, CheckHangulEnding}, 3);
    }
    public void ConvertHangulAndHanja(ObjectRef ConversionsMode, ObjectRef FastConversion, ObjectRef CheckHangulEnding, ObjectRef EnableRecentOrdering) throws COMException {
        invokeN("ConvertHangulAndHanja", new Object[]{ConversionsMode, FastConversion, CheckHangulEnding, EnableRecentOrdering}, 4);
    }
    public void ConvertHangulAndHanja(ObjectRef ConversionsMode, ObjectRef FastConversion, ObjectRef CheckHangulEnding, ObjectRef EnableRecentOrdering, ObjectRef CustomDictionary) throws COMException {
        invokeN("ConvertHangulAndHanja", new Object[]{ConversionsMode, FastConversion, CheckHangulEnding, EnableRecentOrdering, CustomDictionary}, 5);
    }
    /**
     * 
     */
    public void PasteAsNestedTable() throws COMException {
        invoke("PasteAsNestedTable");
    }
    /**
     * 
     */
    public void ModifyEnclosure(ObjectRef Style) throws COMException {
        invokeN("ModifyEnclosure", new Object[]{Style}, 1);
    }
    public void ModifyEnclosure(ObjectRef Style, ObjectRef Symbol) throws COMException {
        invokeN("ModifyEnclosure", new Object[]{Style, Symbol}, 2);
    }
    public void ModifyEnclosure(ObjectRef Style, ObjectRef Symbol, ObjectRef EnclosedText) throws COMException {
        invokeN("ModifyEnclosure", new Object[]{Style, Symbol, EnclosedText}, 3);
    }
    /**
     * 
     */
    public void PhoneticGuide(java.lang.String Text, int Alignment, int Raise, int FontSize, java.lang.String FontName) throws COMException {
        invokeN("PhoneticGuide", new Object[]{Text, new java.lang.Integer(Alignment), new java.lang.Integer(Raise), new java.lang.Integer(FontSize), FontName}, 5);
    }
    /**
     * 
     */
    public void InsertDateTime() throws COMException {
        invoke("InsertDateTime");
    }
    public void InsertDateTime(ObjectRef DateTimeFormat) throws COMException {
        invokeN("InsertDateTime", new Object[]{DateTimeFormat}, 1);
    }
    public void InsertDateTime(ObjectRef DateTimeFormat, ObjectRef InsertAsField) throws COMException {
        invokeN("InsertDateTime", new Object[]{DateTimeFormat, InsertAsField}, 2);
    }
    public void InsertDateTime(ObjectRef DateTimeFormat, ObjectRef InsertAsField, ObjectRef InsertAsFullWidth) throws COMException {
        invokeN("InsertDateTime", new Object[]{DateTimeFormat, InsertAsField, InsertAsFullWidth}, 3);
    }
    public void InsertDateTime(ObjectRef DateTimeFormat, ObjectRef InsertAsField, ObjectRef InsertAsFullWidth, ObjectRef DateLanguage) throws COMException {
        invokeN("InsertDateTime", new Object[]{DateTimeFormat, InsertAsField, InsertAsFullWidth, DateLanguage}, 4);
    }
    public void InsertDateTime(ObjectRef DateTimeFormat, ObjectRef InsertAsField, ObjectRef InsertAsFullWidth, ObjectRef DateLanguage, ObjectRef CalendarType) throws COMException {
        invokeN("InsertDateTime", new Object[]{DateTimeFormat, InsertAsField, InsertAsFullWidth, DateLanguage, CalendarType}, 5);
    }
    /**
     * 
     */
    public void Sort() throws COMException {
        invoke("Sort");
    }
    public void Sort(ObjectRef ExcludeHeader) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader}, 1);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber}, 2);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType}, 3);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder}, 4);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2}, 5);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2}, 6);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2}, 7);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3}, 8);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3}, 9);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3, ObjectRef SortOrder3) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3, SortOrder3}, 10);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3, ObjectRef SortOrder3, ObjectRef SortColumn) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3, SortOrder3, SortColumn}, 11);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3, ObjectRef SortOrder3, ObjectRef SortColumn, ObjectRef Separator) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3, SortOrder3, SortColumn, Separator}, 12);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3, ObjectRef SortOrder3, ObjectRef SortColumn, ObjectRef Separator, ObjectRef CaseSensitive) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3, SortOrder3, SortColumn, Separator, CaseSensitive}, 13);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3, ObjectRef SortOrder3, ObjectRef SortColumn, ObjectRef Separator, ObjectRef CaseSensitive, ObjectRef BidiSort) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3, SortOrder3, SortColumn, Separator, CaseSensitive, BidiSort}, 14);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3, ObjectRef SortOrder3, ObjectRef SortColumn, ObjectRef Separator, ObjectRef CaseSensitive, ObjectRef BidiSort, ObjectRef IgnoreThe) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3, SortOrder3, SortColumn, Separator, CaseSensitive, BidiSort, IgnoreThe}, 15);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3, ObjectRef SortOrder3, ObjectRef SortColumn, ObjectRef Separator, ObjectRef CaseSensitive, ObjectRef BidiSort, ObjectRef IgnoreThe, ObjectRef IgnoreKashida) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3, SortOrder3, SortColumn, Separator, CaseSensitive, BidiSort, IgnoreThe, IgnoreKashida}, 16);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3, ObjectRef SortOrder3, ObjectRef SortColumn, ObjectRef Separator, ObjectRef CaseSensitive, ObjectRef BidiSort, ObjectRef IgnoreThe, ObjectRef IgnoreKashida, ObjectRef IgnoreDiacritics) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3, SortOrder3, SortColumn, Separator, CaseSensitive, BidiSort, IgnoreThe, IgnoreKashida, IgnoreDiacritics}, 17);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3, ObjectRef SortOrder3, ObjectRef SortColumn, ObjectRef Separator, ObjectRef CaseSensitive, ObjectRef BidiSort, ObjectRef IgnoreThe, ObjectRef IgnoreKashida, ObjectRef IgnoreDiacritics, ObjectRef IgnoreHe) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3, SortOrder3, SortColumn, Separator, CaseSensitive, BidiSort, IgnoreThe, IgnoreKashida, IgnoreDiacritics, IgnoreHe}, 18);
    }
    public void Sort(ObjectRef ExcludeHeader, ObjectRef FieldNumber, ObjectRef SortFieldType, ObjectRef SortOrder, ObjectRef FieldNumber2, ObjectRef SortFieldType2, ObjectRef SortOrder2, ObjectRef FieldNumber3, ObjectRef SortFieldType3, ObjectRef SortOrder3, ObjectRef SortColumn, ObjectRef Separator, ObjectRef CaseSensitive, ObjectRef BidiSort, ObjectRef IgnoreThe, ObjectRef IgnoreKashida, ObjectRef IgnoreDiacritics, ObjectRef IgnoreHe, ObjectRef LanguageID) throws COMException {
        invokeN("Sort", new Object[]{ExcludeHeader, FieldNumber, SortFieldType, SortOrder, FieldNumber2, SortFieldType2, SortOrder2, FieldNumber3, SortFieldType3, SortOrder3, SortColumn, Separator, CaseSensitive, BidiSort, IgnoreThe, IgnoreKashida, IgnoreDiacritics, IgnoreHe, LanguageID}, 19);
    }
    /**
     * 
     */
    public void DetectLanguage() throws COMException {
        invoke("DetectLanguage");
    }
    /**
     * 
     */
    public Table ConvertToTable() throws COMException {
        return new Table((DispatchPtr) invoke("ConvertToTable"));
    }
    public Table ConvertToTable(ObjectRef Separator) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator}, 1));
    }
    public Table ConvertToTable(ObjectRef Separator, ObjectRef NumRows) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator, NumRows}, 2));
    }
    public Table ConvertToTable(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator, NumRows, NumColumns}, 3));
    }
    public Table ConvertToTable(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth}, 4));
    }
    public Table ConvertToTable(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format}, 5));
    }
    public Table ConvertToTable(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders}, 6));
    }
    public Table ConvertToTable(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading}, 7));
    }
    public Table ConvertToTable(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont}, 8));
    }
    public Table ConvertToTable(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont, ObjectRef ApplyColor) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont, ApplyColor}, 9));
    }
    public Table ConvertToTable(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont, ObjectRef ApplyColor, ObjectRef ApplyHeadingRows) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont, ApplyColor, ApplyHeadingRows}, 10));
    }
    public Table ConvertToTable(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont, ObjectRef ApplyColor, ObjectRef ApplyHeadingRows, ObjectRef ApplyLastRow) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont, ApplyColor, ApplyHeadingRows, ApplyLastRow}, 11));
    }
    public Table ConvertToTable(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont, ObjectRef ApplyColor, ObjectRef ApplyHeadingRows, ObjectRef ApplyLastRow, ObjectRef ApplyFirstColumn) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont, ApplyColor, ApplyHeadingRows, ApplyLastRow, ApplyFirstColumn}, 12));
    }
    public Table ConvertToTable(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont, ObjectRef ApplyColor, ObjectRef ApplyHeadingRows, ObjectRef ApplyLastRow, ObjectRef ApplyFirstColumn, ObjectRef ApplyLastColumn) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont, ApplyColor, ApplyHeadingRows, ApplyLastRow, ApplyFirstColumn, ApplyLastColumn}, 13));
    }
    public Table ConvertToTable(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont, ObjectRef ApplyColor, ObjectRef ApplyHeadingRows, ObjectRef ApplyLastRow, ObjectRef ApplyFirstColumn, ObjectRef ApplyLastColumn, ObjectRef AutoFit) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont, ApplyColor, ApplyHeadingRows, ApplyLastRow, ApplyFirstColumn, ApplyLastColumn, AutoFit}, 14));
    }
    public Table ConvertToTable(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont, ObjectRef ApplyColor, ObjectRef ApplyHeadingRows, ObjectRef ApplyLastRow, ObjectRef ApplyFirstColumn, ObjectRef ApplyLastColumn, ObjectRef AutoFit, ObjectRef AutoFitBehavior) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont, ApplyColor, ApplyHeadingRows, ApplyLastRow, ApplyFirstColumn, ApplyLastColumn, AutoFit, AutoFitBehavior}, 15));
    }
    public Table ConvertToTable(ObjectRef Separator, ObjectRef NumRows, ObjectRef NumColumns, ObjectRef InitialColumnWidth, ObjectRef Format, ObjectRef ApplyBorders, ObjectRef ApplyShading, ObjectRef ApplyFont, ObjectRef ApplyColor, ObjectRef ApplyHeadingRows, ObjectRef ApplyLastRow, ObjectRef ApplyFirstColumn, ObjectRef ApplyLastColumn, ObjectRef AutoFit, ObjectRef AutoFitBehavior, ObjectRef DefaultTableBehavior) throws COMException {
        return new Table((DispatchPtr) invokeN("ConvertToTable", new Object[]{Separator, NumRows, NumColumns, InitialColumnWidth, Format, ApplyBorders, ApplyShading, ApplyFont, ApplyColor, ApplyHeadingRows, ApplyLastRow, ApplyFirstColumn, ApplyLastColumn, AutoFit, AutoFitBehavior, DefaultTableBehavior}, 16));
    }
    /**
     * 
     */
    public void TCSCConverter(int WdTCSCConverterDirection, boolean CommonTerms, boolean UseVariants) throws COMException {
        invokeN("TCSCConverter", new Object[]{new java.lang.Integer(WdTCSCConverterDirection), new java.lang.Boolean(CommonTerms), new java.lang.Boolean(UseVariants)}, 3);
    }
    /**
     * 
     */
    public boolean getLanguageDetected() throws COMException {
        return ((java.lang.Boolean) get("LanguageDetected")).booleanValue();
    }
    /**
     * 
     */
    public void setLanguageDetected(boolean newLanguageDetected) throws COMException {
        put("LanguageDetected", new java.lang.Boolean(newLanguageDetected));
    }
    /**
     * 
     */
    public float getFitTextWidth() throws COMException {
        return ((java.lang.Float) get("FitTextWidth")).floatValue();
    }
    /**
     * 
     */
    public void setFitTextWidth(float newFitTextWidth) throws COMException {
        put("FitTextWidth", new java.lang.Float(newFitTextWidth));
    }
    /**
     * 
     */
    public int getHorizontalInVertical() throws COMException {
        return ((java.lang.Integer) get("HorizontalInVertical")).intValue();
    }
    /**
     * 
     */
    public void setHorizontalInVertical(int newHorizontalInVertical) throws COMException {
        put("HorizontalInVertical", new java.lang.Integer(newHorizontalInVertical));
    }
    /**
     * 
     */
    public int getTwoLinesInOne() throws COMException {
        return ((java.lang.Integer) get("TwoLinesInOne")).intValue();
    }
    /**
     * 
     */
    public void setTwoLinesInOne(int newTwoLinesInOne) throws COMException {
        put("TwoLinesInOne", new java.lang.Integer(newTwoLinesInOne));
    }
    /**
     * 
     */
    public boolean getCombineCharacters() throws COMException {
        return ((java.lang.Boolean) get("CombineCharacters")).booleanValue();
    }
    /**
     * 
     */
    public void setCombineCharacters(boolean newCombineCharacters) throws COMException {
        put("CombineCharacters", new java.lang.Boolean(newCombineCharacters));
    }
    /**
     * 
     */
    public int getNoProofing() throws COMException {
        return ((java.lang.Integer) get("NoProofing")).intValue();
    }
    /**
     * 
     */
    public void setNoProofing(int newNoProofing) throws COMException {
        put("NoProofing", new java.lang.Integer(newNoProofing));
    }
    /**
     * 
     */
    public Tables getTopLevelTables() throws COMException {
        return new Tables((DispatchPtr) get("TopLevelTables"));
    }
    /**
     * 
     */
    public Office.Scripts getScripts() throws COMException {
        return new Office.Scripts((DispatchPtr) get("Scripts"));
    }
    /**
     * 
     */
    public int getCharacterWidth() throws COMException {
        return ((java.lang.Integer) get("CharacterWidth")).intValue();
    }
    /**
     * 
     */
    public void setCharacterWidth(int newCharacterWidth) throws COMException {
        put("CharacterWidth", new java.lang.Integer(newCharacterWidth));
    }
    /**
     * 
     */
    public int getKana() throws COMException {
        return ((java.lang.Integer) get("Kana")).intValue();
    }
    /**
     * 
     */
    public void setKana(int newKana) throws COMException {
        put("Kana", new java.lang.Integer(newKana));
    }
    /**
     * 
     */
    public int getBoldBi() throws COMException {
        return ((java.lang.Integer) get("BoldBi")).intValue();
    }
    /**
     * 
     */
    public void setBoldBi(int newBoldBi) throws COMException {
        put("BoldBi", new java.lang.Integer(newBoldBi));
    }
    /**
     * 
     */
    public int getItalicBi() throws COMException {
        return ((java.lang.Integer) get("ItalicBi")).intValue();
    }
    /**
     * 
     */
    public void setItalicBi(int newItalicBi) throws COMException {
        put("ItalicBi", new java.lang.Integer(newItalicBi));
    }
    /**
     * 
     */
    public java.lang.String getID() throws COMException {
        return (java.lang.String) get("ID");
    }
    /**
     * 
     */
    public void setID(java.lang.String newID) throws COMException {
        put("ID", newID);
    }
    /**
     * 
     */
    public HTMLDivisions getHTMLDivisions() throws COMException {
        return new HTMLDivisions((DispatchPtr) get("HTMLDivisions"));
    }
    /**
     * 
     */
    public SmartTags getSmartTags() throws COMException {
        return new SmartTags((DispatchPtr) get("SmartTags"));
    }
    /**
     * 
     */
    public boolean getShowAll() throws COMException {
        return ((java.lang.Boolean) get("ShowAll")).booleanValue();
    }
    /**
     * 
     */
    public void setShowAll(boolean newShowAll) throws COMException {
        put("ShowAll", new java.lang.Boolean(newShowAll));
    }
    /**
     * 
     */
    public _Document getDocument() throws COMException {
        return new _Document((DispatchPtr) get("Document"));
    }
    /**
     * 
     */
    public FootnoteOptions getFootnoteOptions() throws COMException {
        return new FootnoteOptions((DispatchPtr) get("FootnoteOptions"));
    }
    /**
     * 
     */
    public EndnoteOptions getEndnoteOptions() throws COMException {
        return new EndnoteOptions((DispatchPtr) get("EndnoteOptions"));
    }
    /**
     * 
     */
    public void PasteAndFormat(int Type) throws COMException {
        invokeN("PasteAndFormat", new Object[]{new java.lang.Integer(Type)}, 1);
    }
    /**
     * 
     */
    public void PasteExcelTable(boolean LinkedToExcel, boolean WordFormatting, boolean RTF) throws COMException {
        invokeN("PasteExcelTable", new Object[]{new java.lang.Boolean(LinkedToExcel), new java.lang.Boolean(WordFormatting), new java.lang.Boolean(RTF)}, 3);
    }
    /**
     * 
     */
    public void PasteAppendTable() throws COMException {
        invoke("PasteAppendTable");
    }
}
