// created by OLEWrapgen
// from TypeLib at C:\Program Files\Microsoft Office\Office10\MSWORD.OLB
// check for latest version at http://www.composiasoft.com

package Word;

import com.develop.jawin.*;
import com.develop.jawin.constants.*;
import com.develop.jawin.marshal.*;
import com.develop.io.*;
import java.io.*;

import Office.*;

public class TextFrame extends DispatchPtr {
    public int getTypeInfoToken() {
        return 0;
    }

    static public final GUID proxyIID = new GUID("{000209B2-0000-0000-C000-000000000046}");

    static public final int iidToken;

    static {
        iidToken = IdentityManager.registerProxy(proxyIID, TextFrame.class);
    }

    public int getGuidToken() {
        return iidToken;
    }

    /**
     * Creates empty TextFrame Object
     */
    public TextFrame() throws COMException {
        super();
    }
    /**
     * Creates TextFrame Object with progID
     */
    public TextFrame(String progid) throws COMException {
        super(progid);
    }
    /**
     * Queries interface of TextFrame Object
     */
    public TextFrame(IUnknown other) throws COMException {
        super(other);
    }
    /**
     * Creates TextFrame Object with CLSID
     */
    public TextFrame(GUID ClsID) throws COMException {
        super(ClsID);
    }
    /**
     * 
     */
    public _Application getApplication() throws COMException {
        return new _Application((DispatchPtr) get("Application"));
    }
    /**
     * 
     */
    public int getCreator() throws COMException {
        return ((java.lang.Integer) get("Creator")).intValue();
    }
    /**
     * 
     */
    public Shape getParent() throws COMException {
        return new Shape((DispatchPtr) get("Parent"));
    }
    /**
     * 
     */
    public float getMarginBottom() throws COMException {
        return ((java.lang.Float) get("MarginBottom")).floatValue();
    }
    /**
     * 
     */
    public void setMarginBottom(float newMarginBottom) throws COMException {
        put("MarginBottom", new java.lang.Float(newMarginBottom));
    }
    /**
     * 
     */
    public float getMarginLeft() throws COMException {
        return ((java.lang.Float) get("MarginLeft")).floatValue();
    }
    /**
     * 
     */
    public void setMarginLeft(float newMarginLeft) throws COMException {
        put("MarginLeft", new java.lang.Float(newMarginLeft));
    }
    /**
     * 
     */
    public float getMarginRight() throws COMException {
        return ((java.lang.Float) get("MarginRight")).floatValue();
    }
    /**
     * 
     */
    public void setMarginRight(float newMarginRight) throws COMException {
        put("MarginRight", new java.lang.Float(newMarginRight));
    }
    /**
     * 
     */
    public float getMarginTop() throws COMException {
        return ((java.lang.Float) get("MarginTop")).floatValue();
    }
    /**
     * 
     */
    public void setMarginTop(float newMarginTop) throws COMException {
        put("MarginTop", new java.lang.Float(newMarginTop));
    }
    /**
     * 
     */
    public int getOrientation() throws COMException {
        return ((java.lang.Integer) get("Orientation")).intValue();
    }
    /**
     * 
     */
    public void setOrientation(int newOrientation) throws COMException {
        put("Orientation", new java.lang.Integer(newOrientation));
    }
    /**
     * 
     */
    public Range getTextRange() throws COMException {
        return new Range((DispatchPtr) get("TextRange"));
    }
    /**
     * 
     */
    public Range getContainingRange() throws COMException {
        return new Range((DispatchPtr) get("ContainingRange"));
    }
    /**
     * 
     */
    public TextFrame getNext() throws COMException {
        return new TextFrame((DispatchPtr) get("Next"));
    }
    /**
     * 
     */
    public void setNext(TextFrame newNext) throws COMException {
        put("Next", newNext);
    }
    /**
     * 
     */
    public TextFrame getPrevious() throws COMException {
        return new TextFrame((DispatchPtr) get("Previous"));
    }
    /**
     * 
     */
    public void setPrevious(TextFrame newPrevious) throws COMException {
        put("Previous", newPrevious);
    }
    /**
     * 
     */
    public boolean getOverflowing() throws COMException {
        return ((java.lang.Boolean) get("Overflowing")).booleanValue();
    }
    /**
     * 
     */
    public int getHasText() throws COMException {
        return ((java.lang.Integer) get("HasText")).intValue();
    }
    /**
     * 
     */
    public void BreakForwardLink() throws COMException {
        invoke("BreakForwardLink");
    }
    /**
     * 
     */
    public boolean ValidLinkTarget(TextFrame TargetTextFrame) throws COMException {
        return ((java.lang.Boolean) invokeN("ValidLinkTarget", new Object[]{TargetTextFrame}, 1)).booleanValue();
    }
    /**
     * 
     */
    public int getAutoSize() throws COMException {
        return ((java.lang.Integer) get("AutoSize")).intValue();
    }
    /**
     * 
     */
    public void setAutoSize(int newAutoSize) throws COMException {
        put("AutoSize", new java.lang.Integer(newAutoSize));
    }
    /**
     * 
     */
    public int getWordWrap() throws COMException {
        return ((java.lang.Integer) get("WordWrap")).intValue();
    }
    /**
     * 
     */
    public void setWordWrap(int newWordWrap) throws COMException {
        put("WordWrap", new java.lang.Integer(newWordWrap));
    }
}
